/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:52 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: DefaultIndividualBuilder.java,v $
 *
 */
package org.evolvica.core;

/** A builder which builds individuals of type DefaultIndividual.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:52 $
 */
public class DefaultIndividualBuilder implements IIndividualBuilder {
	
	/**
	 * An static instance of this builder.
	 */
	public static final DefaultIndividualBuilder instance = new DefaultIndividualBuilder();
	
	/**
	 * @see org.evolvica.core.IIndividualBuilder#newIndividual()
	 */
	public IIndividual newIndividual() {
		return new DefaultIndividual( null );
	}
	
}
