/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:53 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: IBuilderRepositoy.java,v $
 *
 */
package org.evolvica.core;

import org.evolvica.engine.IDatatype;

/**
 * Repository for genotype builders.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:57:53 $
 *
 * @since 0.4.0
 */
public interface IBuilderRepositoy {
	/**
	 * Returns a genotype builder for the given genotype identifier.
	 *
	 * @param id ID of the genotype
	 *
	 * @return builder for the given genotype or null if no builder can be found
	 */
	public IGenotypeBuilder getBuilder( IDatatype id );
	
	/**
	 * Registers a genotype builder to this repository.
	 * 
	 * @param builder genotype builder to be registered
	 */
	public void register( IGenotypeBuilder builder );
	
}
