/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:53 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IFitness.java,v $
 *
 */
package org.evolvica.core;

import java.io.Serializable;

/**
 * Interface for a fitness value of an individual.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:53 $
 *
 * @since 0.4.0
 */
public interface IFitness extends Serializable {
	
	/**
	 * Return the fitness value wrapped in an object.
	 *
	 * @return fitness value as object
	 */
	public Object getValue();
}
