/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:53 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IFitnessComparator.java,v $
 *
 */
package org.evolvica.core;

/**
 * Interface for a fitness comparator.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:53 $
 *
 * @since 0.4.0
 */
public interface IFitnessComparator extends IIndividualComparator {
	/**
	 * Compares two fitness values.
	 *
	 * @param fitness0 first fitness
	 * @param fitness1 second fitness
	 *
	 * @return -1 if the first fitness value is better than the second one, 0 if both fitness values are equal, 1 otherwise
	 */
	public int compare( IFitness fitness0, IFitness fitness1 );
}
