/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:53 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: IGenotypeBuilder.java,v $
 *
 */
package org.evolvica.core;

import org.evolvica.engine.IDatatype;

/**
 * Interface for a genotype builder. Implementing classes can be used as initializers and create new
 * genotypes of a specific type.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:57:53 $
 *
 * @since 0.4.0
 */
public interface IGenotypeBuilder {
	/**
	 * Creates a new genotype.
	 *
	 * @return newly created genotype
	 */
	public IGenotype newGenotype();

	/**
	 * Returns the type of genotypes that are created be this builder.
	 *
	 * @return type of created genotypes
	 */
	public IDatatype getType();
	
}
