/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:54 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IPhenotypeBuilder.java,v $
 *
 */
package org.evolvica.core;

import org.evolvica.engine.IDatatype;

/**
 * Builder for phenotypes.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:54 $
 *
 * @since 0.4.0
 */
public interface IPhenotypeBuilder {
	/**
	 * Returns a new phenotype for a given genotype.
	 *
	 * @param genotype genotype to convert into a phenotype
	 *
	 * @return associalted phenotype for the given genotype
	 */
	public IPhenotype newPhenotype(IGenotype genotype);
	
	/**
	 * Returns the type of genotypes that are accepted be this builder.
	 *
	 * @return type of created genotypes
	 */
	public IDatatype getType();
	
}
