/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:54 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: IScore.java,v $
 *
 */
package org.evolvica.core;

import java.io.Serializable;

/**
 * Interface for a score object that can be associated to an individual.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:57:54 $
 *
 * @since 0.4.0
 */
public interface IScore extends Serializable {
	
	/**
	 * Returns the score value wrapped in an object.
	 *
	 * @return score value as an object
	 */
	public Object getValueAsObject();
	
}
