/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:55 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IScoreComparator.java,v $
 *
 */
package org.evolvica.core;

/**
 * Interface for a comparator that is able to comare two scores.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:55 $
 *
 * @since 0.4.0
 */
public interface IScoreComparator extends IIndividualComparator {
	
	/**
	 * Compares two scores.
	 *
	 * @param score0 first score
	 * @param score1 second score
	 *
	 * @return -1 if the first score is better than the second, 0 if both scores are equal, 1 otherwise
	 */
	public int compare( IScore score0, IScore score1 );
	
}
