/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:55 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ISetIterator.java,v $
 *
 */
package org.evolvica.core;

/**
 * Interface for an iterator over a set of individuals.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:55 $
 *
 * @since 0.4.0
 */
public interface ISetIterator {
	
	/**
	 * Returns the next individual this iterator is pointing at.
	 *
	 * @return next individual
	 */
	public IIndividual next();

	/**
	 * Returns if this iterator points at a next individual
	 *
	 * @return true if there is a next individual, false otherwise
	 */
	public boolean hasNext();

}
