/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:55 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: IndividualArray.java,v $
 *
 */
package org.evolvica.core;

import java.util.ArrayList;

/** Default implementation of an individual array.
 * This class uses an ArrayList as underlying collection class.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:57:55 $
 */
public class IndividualArray extends AbstractIndividualList {
	
	/**
	 * Constructor.
	 */
	public IndividualArray() {
		this.list = new ArrayList();
	}
	
	/**
	 * Constructor with size.
	 * 
	 * @param size initial size of the array
	 */
	public IndividualArray( int size ) {
		this.list = new ArrayList( size );
	}
	
	/**
	 * Copy Constructor.
	 * 
	 * @param set set of individuals that are copied to this set
	 */
	public IndividualArray( IIndividualSet set ) {
		this.list = new ArrayList();
		for ( ISetIterator it = set.iterator(); it.hasNext(); ) {
			this.list.add( it.next() );
		}
	}
	
}
