/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:55 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IndividualList.java,v $
 * 
 */
package org.evolvica.core;

import java.util.LinkedList;

/** Default implementation of an individual list.
 * This class uses aa LinkedList as underlying collection class.
 *
 * @author Andreas Rummler
 * @since 0.5.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:55 $
 */
public class IndividualList extends AbstractIndividualList {
	
	/**
	 * Constructor.
	 */
	public IndividualList() {
		this.list = new LinkedList();
	}
	
	/**
	 * Copy Constructor.
	 * 
	 * @param set set of individuals that are copied to this set
	 */
	public IndividualList( IIndividualSet set ) {
		this.list = new LinkedList();
		for ( ISetIterator it = set.iterator(); it.hasNext(); ) {
			this.list.add( it.next() );
		}
	}
}
