/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:56 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IntegerGeneBuilder.java,v $
 *
 */
package org.evolvica.core;

import org.evolvica.engine.IDatatype;

/** A builder for for genotypes of type IntegerGene.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:56 $
 */
public class IntegerGeneBuilder implements IGenotypeBuilder {
	
	private IDatatype type = GenotypeRepository.getID( new IntegerGene( 0 ) ); 
	
	/**
	 * Constructor.
	 */
	public IntegerGeneBuilder() {
		BuilderRepository.register( this );
	}
	
	/**
	 * @see org.evolvica.core.IGenotypeBuilder#newGenotype()
	 */
	public IGenotype newGenotype() {
		return new IntegerGene( 0 );
	}

	/**
	 * @see org.evolvica.core.IGenotypeBuilder#getType()
	 */
	public IDatatype getType() {
		return type;
	}

}
