
/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:57 $
 * $Revision: 1.10 $
 * $State: Exp $
 * $RCSfile: AbstractWriter.java,v $
 *
 */

package org.evolvica.core.common;

import org.evolvica.core.IIndividualSet;
import org.evolvica.engine.IProcessor;

/** Abstract base class for processors which print individual.
 * 
 * @since 0.4.0
 * @author Andreas Rummler
 * @version $Revision: 1.10 $ $Date: 2004/05/26 11:57:57 $
 */
abstract public class AbstractWriter extends AbstractGeneticOperator implements IProcessor {
	
	/**
	 * Constructor.
	 */
	public AbstractWriter() {
		// this.descriptor.setInterface( 1, 1 );
	}
	
	/**
	 * @see org.evolvica.engine.IProcessor#process(java.lang.Object)
	 */
	public Object process( Object input ) {
		write( (IIndividualSet) input );
		return input; 
	}

	/** Writes the individual set.
	 * 
	 * @param set individual to be written
	 */
	abstract void write( IIndividualSet set );
	
}
