/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:59 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ICombiner.java,v $
 *
 */
package org.evolvica.core.common;

import org.evolvica.core.*;

/** Interface for operators the combine individual sets.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:59 $
 */
public interface ICombiner {

	/**
	 * Merges the given individual set into a single set.
	 *
	 * @param isetArray array of individual sets to be merged
	 * @return individual set containing the individuals from the input sets
	 */
	public IIndividualSet combine( IIndividualSet[] isetArray );

}
