/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:59 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IRouter.java,v $
 *
 */
package org.evolvica.core.common;

import org.evolvica.core.IIndividualSet;

/** Interface for operators that "route" individuals to other operators.
 * A router takes a set of individuals as an input and sends this set
 * to some other operator depending on an internal condition.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:59 $
 */
public interface IRouter {

	/**
	 * Performs the routing operation.
	 *
	 * @param iset set of individuals
	 * @return number of the "output connection" to which the set is sent  
	 */
	public int route( IIndividualSet iset );

}
