/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:57:59 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ISplitter.java,v $
 *
 */
package org.evolvica.core.common;

import org.evolvica.core.*;

/**
 * Interface for an operator for splitting an individual set.
 * A splitter divides a set of individuals into several subsets
 * based on some particular rules.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:57:59 $
 *
 * @since 0.4.0
 */
public interface ISplitter {
	/**
	 * Splits up a set of individuals.
	 *
	 * @param iset set to be splitted
	 *
	 * @return array of sets containing the contents of the original set
	 */
	public IIndividualSet[] split( IIndividualSet iset );
}
