/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:00 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: AbstractFitnessComparator.java,v $
 *
 */
 
package org.evolvica.core.eval;

import org.evolvica.core.*;

/** Abstract base class for individual comparators that compare by fitness.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:00 $
 */
abstract public class AbstractFitnessComparator extends AbstractIndividualComparator implements IFitnessComparator {

	/**
	 * @see org.evolvica.core.IIndividualComparator#compare(org.evolvica.core.IIndividual, org.evolvica.core.IIndividual)
	 */
	public int compare( IIndividual i0, IIndividual i1 ) {
		return compare( i0.getFitness(), i1.getFitness() );
	}

	/**
	 * @see org.evolvica.core.IFitnessComparator#compare(org.evolvica.core.IFitness, org.evolvica.core.IFitness)
	 */
	abstract public int compare( IFitness fitness0, IFitness fitness1 );

}
