/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:00 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: AbstractIndividualComparator.java,v $
 *
 */
 
package org.evolvica.core.eval;

import org.evolvica.core.IIndividual;
import org.evolvica.core.IIndividualComparator;

/** Abstract base class for individual comparators.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:00 $
 */
abstract public class AbstractIndividualComparator implements IIndividualComparator {
	
	/**
	 * @see org.evolvica.core.IIndividualComparator#compare(org.evolvica.core.IIndividual, org.evolvica.core.IIndividual)
	 */
	abstract public int compare( IIndividual i0, IIndividual i1 );

	/**
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare( Object o1, Object o2 ) {
		return compare( (IIndividual) o1, (IIndividual) o2 );
	}

}
