/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:01 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: DefaultFitness.java,v $
 *
 */
package org.evolvica.core.eval;

import org.evolvica.core.IFitness;

/**
 * Default implementation for a fitness class.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:01 $
 * @since 0.4.0
 */

public class DefaultFitness implements IFitness {
	
	/**
	 * Fitness value.
	 * 
	 */
	protected float value;
	
	/**
	 * Constructor.
	 * 
	 * @param value fitness value
	 */
	public DefaultFitness( float value ) {
		this.value = value;
	}
	
	/**
	 * @see org.evolvica.core.IFitness#getValue()
	 */
	public Object getValue() {
		return new Float( value );
	}
	
	/**
	 * Returns the fitness value as float.
	 * 
	 * @return fitness value as float
	 */
	public float floatValue() {
		return value;
	}
	
}
