/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:02 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IEvaluator.java,v $
 *
 */
package org.evolvica.core.eval;

import org.evolvica.core.IIndividual;
import org.evolvica.engine.IProcessor;

/**
 * Interface for an evaluator for individuals.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:02 $
 *
 * @since 0.4.0
 */
public interface IEvaluator extends IProcessor {
	
	/**
	 * Evaluates an individuals.
	 * Evaluation means assigning a score or fitness value to the given individual
	 *
	 * @param ind individual to be evaluated
	 */
	public void evaluate( IIndividual ind );
}
