/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:02 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: OneMaxEvaluator.java,v $
 * 
 */
package org.evolvica.core.eval;

import org.evolvica.core.BinaryGene;
import org.evolvica.core.IIndividual;
import org.evolvica.util.BitVector;

/** Evaluator for the OneMax problem.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:58:02 $
 */
public class OneMaxEvaluator extends AbstractEvaluator {
	
	/**
	 * @see org.evolvica.core.eval.AbstractEvaluator#evaluate(org.evolvica.core.IIndividual)
	 */
	public void evaluate( IIndividual ind ) {
		BitVector vector = ((BinaryGene) ind.getGenotype()).getValue();
		int score = 0;
		for ( int i = 0; i < vector.length(); i++ ) {
			if ( vector.get( i ) == true ) {
				++score;
			}
		}
		ind.setScore( new IntegerScore( score ) );
	}

}
