/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:03 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: ReverseIntegerScoreComparator.java,v $
 *
 */
 
package org.evolvica.core.eval;

import org.evolvica.core.IScore;

/** Comparator for scores of type int (reverse mode).
 * This comparator assumes that a lower score value is a better value.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:03 $
 */
public class ReverseIntegerScoreComparator extends AbstractScoreComparator {

	/**
	 * @see org.evolvica.core.IScoreComparator#compare(org.evolvica.core.IScore, org.evolvica.core.IScore)
	 */
	public int compare( IScore score0, IScore score1 ) {
		int s0 = ((IntegerScore) score0).getValue();
		int s1 = ((IntegerScore) score1).getValue();
		if ( s0 < s1 ) {
			return -1;
		} else if ( s0 > s1 ) {
			return 1;
		} else {
			return 0;
		}
	}

}
