/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:05 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IInitializer.java,v $
 *
 */
package org.evolvica.core.init;

import org.evolvica.core.IIndividualSet;
import org.evolvica.engine.ISource;

/**
 * Interface for an initializer.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:05 $
 *
 * @since 0.4.0
 */
public interface IInitializer extends ISource {
	/**
	 * Creates a new set of individuals.
	 *
	 * @return set of individuals
	 */
	public IIndividualSet createSet();
	
}
