/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:06 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: IMutator.java,v $
 *
 */
package org.evolvica.core.mutate;

import org.evolvica.core.IIndividual;
import org.evolvica.core.common.IGeneticOperator;

/** Interface for a mutation operator.
 * A mutation operator alters the genotype of an individual directly.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:06 $
 */
public interface IMutator extends IGeneticOperator {
	/**
	 * Mutates the given individual.
	 *
	 * @param ind individual to be mutated
	 */
	public void mutate( IIndividual ind );

}
