/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:09 $
 * $Revision: 1.7 $
 * $State: Exp $
 * $RCSfile: BinaryMutator.java,v $
 *
 */
package org.evolvica.core.mutate.binary;

import org.evolvica.core.BinaryGene;
import org.evolvica.core.IIndividual;
import org.evolvica.core.mutate.AbstractMutator;
import org.evolvica.util.BitVector;

/** Base class for a binary mutator.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.7 $ $Date: 2004/05/26 11:58:09 $
 */
abstract public class BinaryMutator extends AbstractMutator {

	/**
	 * Constructor.
	 */
	public BinaryMutator() {
	}

	/** (non-Javadoc)
	 * @see org.evolvica.core.mutate.AbstractMutator#mutate(org.evolvica.core.IIndividual)
	 */
	public void mutate( IIndividual ind ) {
		BinaryGene gene = (BinaryGene) ind.getGenotype();
		gene.setValue( mutate( gene.getValue() ) );
	}
	
	/**
	 * Mutates the bitset.
	 * 
	 * @param vector bitset to be mutated
	 * @return mutated bitset
	 */
	abstract public BitVector mutate( BitVector vector );
	
}
