/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:09 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: FloatArrayMutator.java,v $
 *
 */
package org.evolvica.core.mutate.farray;

import org.evolvica.core.FloatArrayGene;
import org.evolvica.core.IIndividual;
import org.evolvica.core.mutate.AbstractMutator;

/** Abstract base class for float array mutator.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:09 $
 */
abstract public class FloatArrayMutator extends AbstractMutator {

	/**
	 * Constructor.
	 */
	public FloatArrayMutator() {
	}

	/** (non-Javadoc)
	 * @see org.evolvica.core.mutate.AbstractMutator#mutate(org.evolvica.core.IIndividual)
	 */
	public void mutate( IIndividual ind ) {
		FloatArrayGene gene = (FloatArrayGene) ind.getGenotype();
		gene.setValue( mutate( gene.getValue() ) );
	}
	
	/**
	 * Mutates a float value.
	 * 
	 * @param value float value to be mutated
	 * @return mutated float value
	 */
	abstract public float[] mutate( float[] value );
	
}
