/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:10 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: IntegerArrayMutator.java,v $
 *
 */
package org.evolvica.core.mutate.iarray;

import org.evolvica.core.IntegerArrayGene;
import org.evolvica.core.IIndividual;
import org.evolvica.core.mutate.AbstractMutator;

/** Abstract base class for an integer array mutator.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:10 $
 */
abstract public class IntegerArrayMutator extends AbstractMutator {

	/**
	 * Constructor.
	 */
	public IntegerArrayMutator() {
	}

	/**
	 * @see org.evolvica.core.mutate.AbstractMutator#mutate(org.evolvica.core.IIndividual)
	 */
	public void mutate( IIndividual ind ) {
		IntegerArrayGene gene = (IntegerArrayGene) ind.getGenotype();
		gene.setValue( mutate( gene.getValue() ) );
	}
	
	/**
	 * Mutates an integer array.
	 * 
	 * @param value integer array to be mutated
	 * @return mutated integer array
	 */
	abstract public int[] mutate( int[] value );
	
}
