/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:11 $
 * $Revision: 1.8 $
 * $State: Exp $
 * $RCSfile: SwapMutator.java,v $
 *
 */
package org.evolvica.core.mutate.iarray;

import org.evolvica.util.RandomUtils;

/** Swap mutation for int arrays.
 *
 * @since 0.4.0
 * @author Andreas Rummler
 * @version $Revision: 1.8 $ $Date: 2004/05/26 11:58:11 $
 */
public class SwapMutator extends IntegerArrayMutator {

	/** Swaps two randomly selected objects in an int array.
	* 
	* @param value array to be mutated
	* @return mutated array
	*/
	public int[] mutate( int[] value ) {
		int[] sample = RandomUtils.randomIntegerSample( 2, value.length, true );
		int tmp = value[sample[0]];
		value[sample[0]] = value[sample[1]];
		value[sample[1]] = tmp;
		return value;
	}
	
}
