/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:11 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: StringMutator.java,v $
 *
 */
package org.evolvica.core.mutate.string;

import org.evolvica.core.StringGene;
import org.evolvica.core.IIndividual;
import org.evolvica.core.mutate.AbstractMutator;

/** Abstract base class for string mutator.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:11 $
 */
abstract public class StringMutator extends AbstractMutator {

	/**
	 * Constructor.
	 */
	public StringMutator() {
	}

	/** (non-Javadoc)
	 * @see org.evolvica.core.mutate.AbstractMutator#mutate(org.evolvica.core.IIndividual)
	 */
	public void mutate( IIndividual ind ) {
		StringGene gene = (StringGene) ind.getGenotype();
		gene.setValue( mutate( gene.getValue() ) );
	}
	
	/**
	 * Mutates a string.
	 * 
	 * @param value string to be mutated
	 * @return mutated string
	 */
	abstract public String mutate( String value );
	
}
