/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:11 $
 * $Revision: 1.8 $
 * $State: Exp $
 * $RCSfile: DefaultInsertionFilter.java,v $
 *
 */
 
package org.evolvica.core.population;

import org.evolvica.core.IIndividualSet;
import org.evolvica.core.ISetIterator;

/** Default insertion filter.
 * This filter simply inserts all individuals into a population.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.8 $ $Date: 2004/05/26 11:58:11 $
 */
public class DefaultInsertionFilter extends AbstractInsertionFilter {
	
	/**
	 * @see org.evolvica.core.population.IInsertionFilter#insert(org.evolvica.core.population.IPopulation, org.evolvica.core.IIndividualSet)
	 */
	public void insert( IPopulation pop, IIndividualSet iset ) {
		for ( ISetIterator it = iset.iterator(); it.hasNext(); ) {
			pop.add( it.next() );
		}
	}

}
