/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:12 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IInsertionFilter.java,v $
 *
 */
package org.evolvica.core.population;

import org.evolvica.core.IIndividualSet;

/**
 * Interface for a reinsertion operator.
 * A reinsertion operator must be bound to a population, without a population
 * there's no need for it's existance. The reinsertion operator is able to add
 * and/or remove individuals to/from a population based on their scores, fitness
 * values or other criteria.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:12 $
 *
 * @since 0.4.0
 */
public interface IInsertionFilter {
	
	/**
	 * Inserts individuals into the given population.
	 *
	 * @param pop population to insert individuals into
	 * @param iset set containing individuals to be added to the given population
	 */
	public void insert( IPopulation pop, IIndividualSet iset );
	
}
