
/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:12 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: PureInsertion.java,v $
 *
 */

package org.evolvica.core.population;

import org.evolvica.core.IIndividualSet;

/** Pure Reinsertion.
 * This operator will discard every individual in a population and replace it
 * with the individuals from the given individual set. The values for generation
 * gap and reinsertion rate will be ignored.
 * 
 * @since 0.4.0
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:12 $
 */
public class PureInsertion extends AbstractInsertionFilter {
	
	/** Constructor.
	* 
	*/
	public PureInsertion() {
	}
	
	/**
	 * @see org.evolvica.core.population.IInsertionFilter#insert(org.evolvica.core.population.IPopulation, org.evolvica.core.IIndividualSet)
	 */
	public void insert( IPopulation population, IIndividualSet set ) {
		population.clear();
		population.add( set.toArray() );
	}
	
}
