/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:13 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: IRecombinator.java,v $
 *
 */
package org.evolvica.core.recombine;

import org.evolvica.core.IIndividual;
import org.evolvica.core.common.IGeneticOperator;

/** Interface for a recombination operator.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:13 $
 */
public interface IRecombinator extends IGeneticOperator {
	/**
	 * Produces offspring from the individuals contained in the given array.
	 * A recombination operator should check the genotype of the of the individuals
	 * and produce the offspring if the type matches.
	 *
	 * @param iArray array of individuals
	 * @return array of newly created individuals
	 */
	public IIndividual[] recombine( IIndividual[] iArray );

}
