/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:14 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: LongRecombinator.java,v $
 *
 */

package org.evolvica.core.recombine.Long;

import org.evolvica.core.IIndividual;
import org.evolvica.core.LongGene;
import org.evolvica.core.recombine.AbstractRecombinator;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:58:14 $
 */
abstract public class LongRecombinator extends AbstractRecombinator {

	/** Constructor.
	 * 
	 */
	public LongRecombinator() {
		// nothing to do here
	}
	
	/**
	 * @see org.evolvica.core.recombine.AbstractRecombinator#recombine(org.evolvica.core.IIndividual[])
	 */
	public IIndividual[] recombine( IIndividual[] parents ) {
		long[] parentGenes = new long[parents.length];
		for ( int i = 0; i < parents.length; i++ ) {
			parentGenes[i] = ((LongGene) parents[i].getGenotype()).getValue();	
		}
		long[] childGenes = recombine( parentGenes );
		IIndividual[] children = new IIndividual[childGenes.length];
		for ( int i = 0; i < children.length; i++ ) {
			children[i] = builder.newIndividual();
			children[i].setGenotype( new LongGene( childGenes[i] ) );
		}
		return children;
	}
	
	/** Recombines long numbers.
	 * @param parents array of long values from parents
	 * @return array of long values for the children
	 */
	abstract long[] recombine( long[] parents );
	
}
