/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:17 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: ISelector.java,v $
 *
 */
package org.evolvica.core.select;

import org.evolvica.core.IIndividual;
import org.evolvica.core.common.IGeneticOperator;

/**
 * Interface for a selection operator.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:17 $
 *
 * @since 0.4.0
 */
public interface ISelector extends IGeneticOperator {
	
	/**
	 * Performs a selection operation with the given array of individuals.
	 *
	 * @param iArray array of individuals containing the selection pool
	 * @return array of individuals containing the result of the selection process
	 */
	public IIndividual[] select( IIndividual[] iArray );
}
