/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:19 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ICondition.java,v $
 *
 */
package org.evolvica.core.terminate;

import org.evolvica.core.IIndividualSet;

/**
 * Interface for a condition.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:19 $
 *
 * @since 0.4.0
 */
public interface ICondition {
	/**
	 * Checks if this condition is true for the given individual set.
	 *
	 * @param iset individual set to check for the truth of the condition
	 *
	 * @return true if the condition is fulfilled, false otherwise
	 */
	public boolean isTrue( IIndividualSet iset );
	
}
