/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/06/24 16:27:58 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: IMultiCondition.java,v $
 *
 */
package org.evolvica.core.terminate;

/** Interface for a collection of conditions.
 * The contained conditions can be concatenated with AND, OR or other locigal operators.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/06/24 16:27:58 $
 */
public interface IMultiCondition extends ICondition {
	
	/**
	 * Returns the conditions contained in this multi condition.
	 * 
	 * @return array of conditions
	 */
	public ICondition[] getConditions();
	
	/**
	 * Sets the conditions of this multi condition.
	 * 
	 * @param conditions array of conditions to set
	 */
	public void setConditions( ICondition[] conditions );
	
}
