/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:24 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IFork.java,v $
 *
 */
package org.evolvica.engine;

/** Interface for a fork operator.
 * A fork has exactly one input and several output slots.
 * A fork may split up the input data and distribute them to all output slots
 * or it may send the input to only one of the output slots.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:24 $
 */
public interface IFork extends IOperator {

	/**
	 * Performs the fork operation on the input data and returns an array
	 * of data objects as output. Note that slots in the output array MAY be
	 * null.
	 * 
	 * @param input input data
	 * @return array of output data
	 */
	public Object[] fork( Object input );
	
}
