/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:25 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IProcessor.java,v $
 *
 */
package org.evolvica.engine;

/** Interface for a processing operator.
 * A processor has exactly one input and one output slot.
 * It receives a data object, processes this object in some
 * particular way and returns the processed object as output.
 * There is no obligation to return the input object instead
 * a new output object may be created.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:25 $
 */
public interface IProcessor extends IOperator {

	/**
	 * Processes a data object.
	 * 
	 * @param input input data for processing
	 * @return processed data object
	 */
	public Object process( Object input );
	
}
