/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:25 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: IPropertySet.java,v $
 *
 */
 
package org.evolvica.engine;

import java.util.Iterator;

/** Interface for a property set for an algorithm.
 * A property set contains various property settings for all operators
 * of an algorithm.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:25 $
 */
public interface IPropertySet {
	
	/**
	 * Adds a property to this property set.
	 * 
	 * @param operator operator
	 * @param property property
	 * @param value property value
	 */
	public void addProperty( IOperator operator, String property, String value );
	
	/**
	 * Iterates all properties.
	 * 
	 * @return iterator over all properties
	 */
	public Iterator iterateProperties();
	
}
