/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:25 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: IRunner.java,v $
 *
 */
package org.evolvica.engine;

/** Interface for an algorithm runner.
 *
 * @author Andreas Rummler
 * @since 0.5.1
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:58:25 $
 */
public interface IRunner extends Runnable {
	
	/**
	 * Executes the given algorithm
	 * 
	 * @param algorithm algorithm to be executed
	 * 
	 */
	public void start( IAlgorithm algorithm );
	
	/**
	 * Stops the currently running algorithm.
	 * 
	 */
	public void stop();
	
	/**
	 * Resumes a stopped algorithm.
	 * 
	 */
	public void resume();
	
}
