/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:25 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ISink.java,v $
 *
 */
package org.evolvica.engine;

/** Interface for a sink operator.
 * A sink has exactly one input and no output slots.
 * It is used for storing data objects.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:25 $
 */
public interface ISink extends IOperator {

	/**
	 * Stores a data object.
	 * 
	 * @param data the data object to be stored in the sink
	 */
	public void store( Object data );
	
	/**
	 * Returns the stored contents of this sink.
	 * @return array with the stored data objects of this sink
	 */
	public Object[] contents();
	
}
