/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:25 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: ISource.java,v $
 *
 */
package org.evolvica.engine;

/** Interface for a source operator.
 * A source has exactly one output and no input slot.
 * Sources are used to create data objects.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:25 $
 */
public interface ISource extends IOperator {

	/**
	 * Creates a new data object.
	 * 
	 * @return newly created data object
	 */
	public Object create();
	
}
