/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:26 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: TemplateAlgorithm.java,v $
 *
 */
 
package org.evolvica.engine;


/** Template algorithm.
 * This class is used for interactive algorithm creation and may not be subclassed.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:58:26 $
 */
public final class TemplateAlgorithm extends AbstractAlgorithm {
	
	/**
	 * Constructor.
	 * 
	 * @param name algorithm name
	 */
	public TemplateAlgorithm( String name ) {
		this.name = name;
	}
	
	/**
	 * @see org.evolvica.engine.IAlgorithm#setup()
	 */
	public void setup() {
		// do nothing this is filled by an algorithm builder
	}
	
	/**
	 * @see org.evolvica.engine.IAlgorithm#teardown()
	 */
	public void teardown() {
		// do nothing
	}
	
}
