/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:35:30 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: TrivialEvaluator.java,v $
 *
 */
package org.evolvica.examples.trivial;

import org.evolvica.core.*;
import org.evolvica.core.eval.AbstractEvaluator;
import org.evolvica.core.eval.IntegerScore;

/** Trivial evaluator example.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:35:30 $
 */
public class TrivialEvaluator extends AbstractEvaluator {
	
	/**
	 * @see org.evolvica.core.eval.AbstractEvaluator#evaluate(org.evolvica.core.IIndividual)
	 */
	public void evaluate( IIndividual ind ) {
		// this method evaluates our string
		// first: retrieve the genotype contained in the individual
		String gene = ((StringGene) ind.getGenotype()).getValue();
		// the initial score is 0
		int score = 0;
		// for-loop over the string
		for ( int i = 0; i < gene.length(); i++ ) {
			// get a character
			char c = gene.charAt( i );
			// cast the character to an integer and add the integer to the score value
			score += (int) c;
		}
		// now create a score object and append it the individual
		ind.setScore( new IntegerScore( score ) );
		// READY! we evaluated our individual
	}
	
}
