/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:35:31 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: TrivialSink.java,v $
 *
 */
package org.evolvica.examples.trivial;

import java.util.LinkedList;

import org.evolvica.core.IIndividual;
import org.evolvica.core.common.AbstractSink;

/** Trivial sink example.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:35:31 $
 */
public class TrivialSink extends AbstractSink {
	
	// the buffer for the individuals to be stored
	protected LinkedList list = new LinkedList();
	
	/**
	 * @see org.evolvica.engine.ISink#store(java.lang.Object)
	 */
	public void store( IIndividual ind ) {
		// store every individual in a list
		list.add( ind );
	}

	public IIndividual[] toArray() {
		// return the contents of this sink as an array of individuals
		return (IIndividual[]) list.toArray( new IIndividual[list.size()] );
	}
	
}
