/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:11 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: EVClasspathInitializer.java,v $
 * 
 */
package org.evolvica.ui;

import java.net.URL;

import org.eclipse.core.runtime.*;
import org.eclipse.jdt.core.ClasspathVariableInitializer;
import org.eclipse.jdt.core.JavaCore;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:53:11 $
 */
public class EVClasspathInitializer extends ClasspathVariableInitializer {

	/**
	 * @see org.eclipse.jdt.core.ClasspathVariableInitializer#initialize(java.lang.String)
	 */
	public void initialize( String variable ) {
		if ( variable.equals( "EVOLVICA_CORE_LIB" ) ) {
			setVariable( "org.evolvica.core", variable );
		} else if ( variable.equals( "COMMONS_CLI_LIB" ) ) {
			setVariable( "org.apache.commons.cli", variable );
		} else if ( variable.equals( "COMMONS_COLLECTIONS_LIB" ) ) {
			setVariable( "org.apache.commons.collections", variable );
		} else if ( variable.equals( "COMMONS_BEANUTILS_LIB" ) ) {
			setVariable( "org.apache.commons.beanutils", variable );
		} else if ( variable.equals( "COMMONS_LANG_LIB" ) ) {
			setVariable( "org.apache.commons.lang", variable );
		} else if ( variable.equals( "COMMONS_LOGGING_LIB" ) ) {
			setVariable( "org.apache.commons.logging", variable );
		} else if ( variable.equals( "JSX_LIB" ) ) {
			setVariable( "com.jsx", variable );
		} else if ( variable.equals( "GNU_TROVE_LIB" ) ) {
			setVariable( "gnu.trove", variable );
		} else if ( variable.equals( "LOG4J_LIB" ) ) {
			setVariable( "org.apache.log4j", variable );
		}
	}
	
	protected void setVariable( String pluginName, String libVariable ) {
		Plugin plugin = Platform.getPlugin( pluginName );
		IPath jar = plugin.getDescriptor().getRuntimeLibraries()[0].getPath();
		try {
			URL url = Platform.resolve( plugin.getDescriptor().getInstallURL() );
			String pathname = url.getPath() + jar.toString();
			UILog.debug( "variable " + libVariable + " resolved to " + pathname );
			IPath jarpath = new Path( pathname );
//			IPath srcpath = new Path( jarpath.removeFileExtension().toString() + "src.jar" );
//			if ( ! srcpath.toFile().exists() ) {
//				srcpath = new Path( jarpath.removeFileExtension().toString() + "src.zip" );
//			}
			JavaCore.setClasspathVariable( libVariable, jarpath, null );
//			JavaCore.setClasspathVariable( StringUtils.replaceOnce( libVariable, "_LIB", "_SRC" ), srcpath, null );
		} catch ( Exception e ) {
			e.printStackTrace();
		}
	}
	
}
