/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:11 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: FileCellEditor.java,v $
 *
 */
package org.evolvica.ui;

import org.eclipse.jface.viewers.DialogCellEditor;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.FileDialog;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:53:11 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class FileCellEditor extends DialogCellEditor {
	
	public FileCellEditor( Composite parent ) {
		super( parent );
	}

	/**
	 * @see org.eclipse.jface.viewers.DialogCellEditor#openDialogBox(org.eclipse.swt.widgets.Control)
	 */
	protected Object openDialogBox( Control cellEditorWindow ) {
		FileDialog dialog = new FileDialog( cellEditorWindow.getShell() );
		String file = dialog.open();
		if ( file == null ) {
			return null;
		} else {
			return file;
		}
	}

	protected void updateContents( Object value ) {
		if ( value == null ) {
			super.updateContents( "null" );
		} else {
			super.updateContents( value );
		}
	}
	
}
