/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:11 $
 * $Revision: 1.11 $
 * $State: Exp $
 * $RCSfile: GraphicalEditorPerspectiveFactory.java,v $
 * 
 */
package org.evolvica.ui;

import org.eclipse.debug.ui.IDebugUIConstants;
import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.11 $ $Date: 2004/05/26 11:53:11 $
 */
public class GraphicalEditorPerspectiveFactory implements IPerspectiveFactory {

	/**
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	public void createInitialLayout(IPageLayout layout) {
		// Get the editor area.
		String editorArea = layout.getEditorArea();
		// Top left: Resource Navigator view and Bookmarks view placeholder
		IFolderLayout topLeft = layout.createFolder( "topLeft", IPageLayout.LEFT, 0.25f, editorArea );
		topLeft.addView( "org.evolvica.ui.views.navigator.ProjectNavigator" );
		topLeft.addView( IPageLayout.ID_RES_NAV );
		// topLeft.addPlaceholder( IPageLayout.ID_BOOKMARKS );
		// Bottom left: Outline view and Property Sheet view
		IFolderLayout bottomLeft = layout.createFolder( "bottomLeft", IPageLayout.BOTTOM, 0.50f, "topLeft" );
		bottomLeft.addView( IPageLayout.ID_OUTLINE );
		// Bottom right: Task List view
		IFolderLayout bottomRight = layout.createFolder( "bottomRight", IPageLayout.BOTTOM, 0.66f, editorArea );
		bottomRight.addView( IDebugUIConstants.ID_CONSOLE_VIEW );
		bottomRight.addView( IPageLayout.ID_PROP_SHEET );
		// add wizard shortcut
		layout.addNewWizardShortcut( "org.evolvica.ui.wizards.NewAlgorithmProjectCreationWizard" );
		layout.addNewWizardShortcut( "org.evolvica.ui.wizards.NewAlgorithmCreationWizard" );
		// add view shortcuts
		layout.addShowViewShortcut( "org.evolvica.ui.views.navigator.ProjectNavigator" );
		layout.addShowViewShortcut( IPageLayout.ID_PROP_SHEET );
		layout.addShowViewShortcut( IDebugUIConstants.ID_CONSOLE_VIEW );
		layout.addShowViewShortcut( IPageLayout.ID_OUTLINE );
	}

}
