/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:13 $
 * $Revision: 1.6 $
 * $State: Exp $
 * $RCSfile: OperatorContextMenuProvider.java,v $
 *
 */
package org.evolvica.ui;

import org.eclipse.gef.ContextMenuProvider;
import org.eclipse.gef.EditPartViewer;
import org.eclipse.gef.ui.actions.ActionRegistry;
import org.eclipse.gef.ui.actions.GEFActionConstants;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.action.IMenuManager;
import org.evolvica.ui.action.*;
import org.evolvica.ui.action.DeleteAction;
import org.evolvica.ui.action.RenameAction;
import org.evolvica.ui.action.SetInputAction;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.6 $ $Date: 2004/05/26 11:53:13 $
 */
public class OperatorContextMenuProvider extends ContextMenuProvider {
	
	protected ActionRegistry registry = null; 
	
	public OperatorContextMenuProvider( EditPartViewer viewer, ActionRegistry registry ) {
		super( viewer );
		this.registry = registry;
	}
	
	/**
	 * @see org.eclipse.gef.ui.parts.ContextMenuProvider#buildContextMenu(org.eclipse.jface.action.IMenuManager)
	 */
	public void buildContextMenu( IMenuManager manager ) {
		GEFActionConstants.addStandardActionGroups( manager );
		// delete, rename
		IAction action = registry.getAction( DeleteAction.ID );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		action = registry.getAction( MirrorShapeAction.ID );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		action = registry.getAction( RenameAction.ID );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		action = registry.getAction( SetColorAction.ID );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		action = registry.getAction( SetInputAction.ID );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		action = registry.getAction( SetOutputAction.ID );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		// undo and redo
		action = registry.getAction( GEFActionConstants.UNDO );
		manager.appendToGroup( GEFActionConstants.GROUP_UNDO, action );
		action = registry.getAction( GEFActionConstants.REDO );
		manager.appendToGroup( GEFActionConstants.GROUP_UNDO, action );
		/*
		action = registry.getAction( IWorkbenchActionConstants.COPY );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		action = registry.getAction( IWorkbenchActionConstants.CUT );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		action = registry.getAction( IWorkbenchActionConstants.PASTE );
		if ( action.isEnabled() ) {
			manager.appendToGroup( GEFActionConstants.GROUP_EDIT, action );
		}
		*/
	}

}
