/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:14 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: PlatformLogAppender.java,v $
 * 
 */

package org.evolvica.ui;
import org.apache.log4j.AppenderSkeleton;
import org.apache.log4j.Level;
import org.apache.log4j.spi.LoggingEvent;
import org.eclipse.core.runtime.ILog;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.evolvica.ui.AlgorithmEditorPlugin;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:14 $
 */
public class PlatformLogAppender extends AppenderSkeleton {
	
	protected ILog log = AlgorithmEditorPlugin.getDefault().getLog();
	
	protected String id = AlgorithmEditorPlugin.getDefault().getDescriptor().getUniqueIdentifier();
	
	/**
	 * @see org.apache.log4j.AppenderSkeleton#append(org.apache.log4j.spi.LoggingEvent)
	 */
	protected void append( LoggingEvent event ) {
		int severity = getSeverity( event );
		String message = event.getRenderedMessage();
		Throwable throwable = null;
		if ( event.getThrowableInformation() != null ) {
			throwable = event.getThrowableInformation().getThrowable();
		}
		log.log( new Status( severity, id, IStatus.OK, message, throwable ) );
	}
	
	protected int getSeverity( LoggingEvent event ) {
		if ( event.getLevel() == Level.ALL ) {
			return IStatus.OK;
		} else if ( event.getLevel() == Level.DEBUG ) {
			return IStatus.OK;
		} else if ( event.getLevel() == Level.ERROR ) {
			return IStatus.ERROR;
		} else if ( event.getLevel() == Level.FATAL ) {
			return IStatus.ERROR;
		} else if ( event.getLevel() == Level.INFO ) {
			return IStatus.INFO;
		} else if ( event.getLevel() == Level.OFF ) {
			return IStatus.OK;
		} else if ( event.getLevel() == Level.WARN ) {
			return IStatus.WARNING;
		} else {
			return IStatus.OK;
		}
	}
	
	/**
	 * @see org.apache.log4j.Appender#requiresLayout()
	 */
	public boolean requiresLayout() {
		return false;
	}

	/**
	 * @see org.apache.log4j.Appender#close()
	 */
	public void close() {

	}

}
