/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:15 $
 * $Revision: 1.8 $
 * $State: Exp $
 * $RCSfile: DeleteAction.java,v $
 * 
 */
package org.evolvica.ui.action;

import java.util.Iterator;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.ui.actions.SelectionAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.IWorkbenchPart;
import org.evolvica.engine.IConnection;
import org.evolvica.engine.IElement;
import org.evolvica.ui.parts.EVConnectionEditPart;
import org.evolvica.ui.parts.OperatorEditPart;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.8 $ $Date: 2004/05/26 11:53:15 $
 */
public class DeleteAction extends SelectionAction {
	
	public static final String ID = DeleteAction.class.getName();
	
	public DeleteAction( IWorkbenchPart part ) {
		super( part );
		setId( ID );
		setText( "Delete" );
	}
	
	/**
	 * @see org.eclipse.gef.ui.actions.EditorPartAction#calculateEnabled()
	 */
	protected boolean calculateEnabled() {
		if ( getSelectedObjects().isEmpty() ) {
			return false;
		}
		Object part = getSelectedObjects().get( 0 );
		if ( part instanceof OperatorEditPart || part instanceof EVConnectionEditPart ) {
			return true;
		} else {
			return false;
		}
	}
	
	public void run() {
		boolean confirm = MessageDialog.openConfirm( getEditorPart().getSite().getShell(), "Confirm", "Delete selected object(s)?" );
		if ( confirm == true ) {
			// delete all connections
			for ( Iterator it = getSelectedObjects().iterator(); it.hasNext(); ) {
				EditPart next = (EditPart) it.next();
				if ( next instanceof EVConnectionEditPart ) {
					IConnection connection = ((EVConnectionEditPart) next).getConnection();
					connection.getSource().getAlgorithm().removeConnection( connection );
				}
			}
			for ( Iterator it = getSelectedObjects().iterator(); it.hasNext(); ) {
				EditPart next = (EditPart) it.next();
				if ( next instanceof OperatorEditPart ) {
					IElement element = ((OperatorEditPart) next).getElement();
					element.getAlgorithm().removeElement( element );
				}
			}
		}
	}
	
}
