/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:15 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: MirrorShapeAction.java,v $
 * 
 */
package org.evolvica.ui.action;

import org.eclipse.gef.ui.actions.SelectionAction;
import org.eclipse.ui.IWorkbenchPart;
import org.evolvica.engine.IElement;
import org.evolvica.ui.UIEvents;
import org.evolvica.ui.parts.OperatorEditPart;
import org.evolvica.util.Metadata;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:15 $
 */
public class MirrorShapeAction extends SelectionAction {

	public static final String ID = MirrorShapeAction.class.getName();
	
	/**
	 * @param editor
	 */
	public MirrorShapeAction( IWorkbenchPart editor ) {
		super( editor );
		setId( ID );
		setText( "Mirror" );
	}

	/**
	 * @see org.eclipse.gef.ui.actions.EditorPartAction#calculateEnabled()
	 */
	protected boolean calculateEnabled() {
		if ( getSelectedObjects().isEmpty() ) {
			return false;
		}
		if ( getSelectedObjects().get( 0 ) instanceof OperatorEditPart ) {
			return true;
		} else {
			return false;
		}
	}

	public void run() {
		IElement element = ((OperatorEditPart) getSelectedObjects().get( 0 )).getElement();
		boolean state = element.getMetadata( UIEvents.ELEMENT_MIRRORED ).getValueAsBoolean();
		if ( state == true ) {
			element.setMetadata( new Metadata( UIEvents.ELEMENT_MIRRORED, false ) );
		} else {
			element.setMetadata( new Metadata( UIEvents.ELEMENT_MIRRORED, true ) );
		}
	}
	
}
