/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:15 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: RenameAction.java,v $
 * 
 */
package org.evolvica.ui.action;

import java.beans.PropertyChangeEvent;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.ui.actions.SelectionAction;
import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.ui.IWorkbenchPart;
import org.evolvica.engine.IElement;
import org.evolvica.ui.UIEvents;
import org.evolvica.ui.parts.OperatorEditPart;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:53:15 $
 */
public class RenameAction extends SelectionAction {
	
	public static final String ID = RenameAction.class.getName();
	
	public RenameAction( IWorkbenchPart part ) {
		super( part );
		setId( ID );
		setText( "Rename" );
	}
	
	/**
	 * @see org.eclipse.gef.ui.actions.EditorPartAction#calculateEnabled()
	 */
	protected boolean calculateEnabled() {
		if ( getSelectedObjects().isEmpty() ) {
			return false;
		}
		if ( getSelectedObjects().get( 0 ) instanceof OperatorEditPart ) {
			return true;
		} else {
			return false;
		}
	}
	
	public void run() {
		EditPart part = (EditPart) getSelectedObjects().get( 0 );
		IElement element = ((OperatorEditPart) part).getElement(); 
		InputDialog dialog = new InputDialog( getEditorPart().getSite().getShell(),
			"Rename Operator", "Enter a new name for the operator", element.getOperator().getName(), null );
		int rval = dialog.open();
		if ( rval == 0 ) {
			String oldValue = element.getOperator().getName();
			element.getOperator().setName( dialog.getValue() );
			// we touched the operator directly -> no event is fired
			// therefore we need to do it by ourselves
			element.firePropertyChangeEvent( new PropertyChangeEvent( element, UIEvents.ELEMENT_RENAMED, oldValue, dialog.getValue() ) );
		}
	}
	
}
