/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:16 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: SetColorAction.java,v $
 * 
 */
package org.evolvica.ui.action;

import java.util.Iterator;
import java.util.List;

import org.eclipse.gef.ui.actions.SelectionAction;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.ColorDialog;
import org.eclipse.ui.IWorkbenchPart;
import org.evolvica.engine.IElement;
import org.evolvica.ui.UIEvents;
import org.evolvica.ui.UIHelper;
import org.evolvica.ui.parts.OperatorEditPart;
import org.evolvica.util.Metadata;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:16 $
 */
public class SetColorAction extends SelectionAction {
	
	public static final String ID = SetColorAction.class.getName();
	
	public SetColorAction( IWorkbenchPart part ) {
		super( part );
		setId( ID );
		setText( "Set Color" );
	}
	
	/**
	 * @see org.eclipse.gef.ui.actions.EditorPartAction#calculateEnabled()
	 */
	protected boolean calculateEnabled() {
		List selected = getSelectedObjects();
		for ( Iterator it = selected.iterator(); it.hasNext(); ) {
			if ( it.next() instanceof OperatorEditPart ) {
				return true;
			}
		}
		return false;
	}
	
	public void run() {
		RGB rgb = new ColorDialog( getEditorPart().getSite().getShell() ).open();
		if ( rgb != null ) {
			List selected = getSelectedObjects();
			for ( Iterator it = selected.iterator(); it.hasNext(); ) {
				Object next = it.next();
				if ( next instanceof OperatorEditPart ) {
					IElement element = ((OperatorEditPart) next).getElement();
					String id = element.getOperator().getId();
					element.setMetadata( new Metadata( UIEvents.ELEMENT_BGCOLOR, UIHelper.encodeColor( new Color( null, rgb ) ) ) ); 
				}
			}
		}
	}
	
}
