/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:16 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: ValidateAlgorithmAction.java,v $
 *
 */
package org.evolvica.ui.action;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.PlatformUI;
import org.evolvica.engine.IAlgorithm;
import org.evolvica.engine.IValidator;
import org.evolvica.ui.AlgorithmEditor;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:16 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class ValidateAlgorithmAction extends Action {
	
	public ValidateAlgorithmAction() {
		super( "Validate Algorithm" );
		setText( "Validate Algorithm" );
	}
	
	public void run() {
		AlgorithmEditor editor = (AlgorithmEditor) PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
		IAlgorithm algorithm = editor.getAlgorithm();
		if ( algorithm.getValidator() == null ) {
			MessageDialog.openWarning( editor.getSite().getShell(), "Algorithm Validation", "Validation impossible: algorithm does not have an attached validator" );
		} else {
			IValidator validator = algorithm.getValidator();
			boolean isValid = validator.validate( algorithm );
			if ( isValid == true ) {
				MessageDialog.openInformation( editor.getSite().getShell(), "Algorithm Validation", "Algorithm seems to be valid" );
			} else {
				MessageDialog.openError( editor.getSite().getShell(), "Algorithm Validation", "Validation failed: " + validator.getValidationResult()[0] );
			}
		}
	}
	
}
