/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:22 $
 * $Revision: 1.7 $
 * $State: Exp $
 * $RCSfile: CreateCommand.java,v $
 *
 */
package org.evolvica.ui.command;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.gef.commands.Command;
import org.evolvica.engine.IAlgorithm;
import org.evolvica.engine.IElement;
import org.evolvica.ui.UIEvents;
import org.evolvica.util.Metadata;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.7 $ $Date: 2004/05/26 11:53:22 $
 */
public class CreateCommand extends Command {
	
	protected IAlgorithm host = null;
	
	protected IElement element = null;
	
	protected Point location = null;
	
	public CreateCommand( IAlgorithm host, IElement element, Point location ) {
		super( "create" );
		this.host = host;
		this.element = element;
		this.location = location;
	}
	
	public void execute() {
		if ( element != null ) {
			host.addElement( element );
			element.setMetadata( new Metadata( UIEvents.ELEMENT_X, location.x ) );
			element.setMetadata( new Metadata( UIEvents.ELEMENT_Y, location.y ) );
		}
	}

}
