/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:22 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: MoveCommand.java,v $
 *
 */
package org.evolvica.ui.command;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.commands.Command;
import org.evolvica.engine.IElement;
import org.evolvica.ui.UIEvents;
import org.evolvica.util.Metadata;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:22 $
 */
public class MoveCommand extends Command {
	
	protected Point oldPosition;
	
	protected Point newPosition;
	
	protected IElement element;
	
	public MoveCommand( IElement element, Point newPosition ) {
		this.element = element;
		this.newPosition = newPosition;
	}
	
	public MoveCommand( IElement element, Rectangle outline ) {
		this.element = element;
		this.newPosition = outline.getLocation();
	}
	
	public void execute() {
		int x = element.getMetadata( UIEvents.ELEMENT_X ).getValueAsInteger();
		int y = element.getMetadata( UIEvents.ELEMENT_Y ).getValueAsInteger();
		oldPosition = new Point( x, y );
		element.setMetadata( new Metadata( UIEvents.ELEMENT_X, newPosition.x ) );
		element.setMetadata( new Metadata( UIEvents.ELEMENT_Y, newPosition.y ) );
	}
	
	public void redo() {
		element.setMetadata( new Metadata( UIEvents.ELEMENT_X, newPosition.x ) );
		element.setMetadata( new Metadata( UIEvents.ELEMENT_Y, newPosition.y ) );
	}
	
	public void undo() {
		element.setMetadata( new Metadata( UIEvents.ELEMENT_X, oldPosition.x ) );
		element.setMetadata( new Metadata( UIEvents.ELEMENT_Y, oldPosition.y ) );
	}
	
}
