/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:22 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: AlgorithmConsole.java,v $
 *
 */

package org.evolvica.ui.console;

import org.eclipse.debug.internal.ui.views.console.ConsoleViewer;
import org.eclipse.jface.text.BadLocationException;
import org.eclipse.jface.text.IDocument;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:22 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class AlgorithmConsole extends ViewPart {
	
	protected ConsoleViewer viewer = null;
	
	public void appendLine( String text ) {
		try {
			IDocument document = viewer.getDocument();
			document.replace( document.getLength(), 0, text + "\n" );
		} catch ( BadLocationException blx ) {
			// be quiet
		}
	}
	
	public void createPartControl( Composite parent ) {
		//viewer = new TextViewer( parent, SWT.NONE );
		viewer = new ConsoleViewer( parent );
		initPartControl();
		createToolbar();
	}

	protected void initPartControl() {
		viewer.setDocument( new EmptyConsoleDocument() );
		viewer.setEditable( false );
	}
	
	protected void createToolbar() {
		
	}
	
	public void setFocus() {
		// do nothing
	}
	
	
}
