/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:23 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: PropertyTableCellModifier.java,v $
 *
 */
package org.evolvica.ui.editors.operator;

import org.eclipse.jface.viewers.ICellModifier;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.swt.widgets.TableItem;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:23 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class PropertyTableCellModifier implements ICellModifier {
	
	protected DescriptorEditor editor = null;
	
	protected TableViewer viewer = null;
	
	public PropertyTableCellModifier( DescriptorEditor editor, TableViewer viewer ) {
		this.editor = editor;
		this.viewer = viewer;
	}
	
	public boolean canModify( Object element, String property ) {
		if ( property.equals( "display name" ) ) {
			return true;
		} else if ( property.equals( "expert" ) ) {
			return true;
		} else if ( property.equals( "description" ) ) {
			return true;
		}
		return false;
	}
	
	public Object getValue( Object element, String property ) {
		if ( property.equals( "display name" ) ) {
			return ((PropertyTableContentItem) element).getDisplayName();
		} else if ( property.equals( "expert" ) ) {
			return Boolean.valueOf( ((PropertyTableContentItem) element).isExpert() );
		} else if ( property.equals( "description" ) ) {
			return ((PropertyTableContentItem) element).getDescription();
		}
		return "";
	}
	
	public void modify( Object element, String property, Object value ) {
		TableItem item = (TableItem) element;
		PropertyTableContentItem contentItem = (PropertyTableContentItem) item.getData();
		if ( property.equals( "display name" ) ) {
			contentItem.setDisplayName( (String) value );
		} else if ( property.equals( "expert" ) ) {
			contentItem.setExpert( ((Boolean) value).booleanValue() ); 
		} else if ( property.equals( "description" ) ) {
			contentItem.setDescription( (String) value );
		}
		viewer.update( contentItem, new String[] { property } );
		editor.setDirty( true );
	}
}
