/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:27 $
 * $Revision: 1.8 $
 * $State: Exp $
 * $RCSfile: EVConnectionEditPart.java,v $
 * 
 */
package org.evolvica.ui.parts;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.PolygonDecoration;
import org.eclipse.draw2d.PolylineConnection;
import org.eclipse.gef.EditPolicy;
import org.eclipse.gef.editparts.AbstractConnectionEditPart;
import org.eclipse.gef.editpolicies.ConnectionEndpointEditPolicy;
import org.evolvica.engine.IConnection;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.8 $ $Date: 2004/05/26 11:53:27 $
 */
public class EVConnectionEditPart extends AbstractConnectionEditPart implements PropertyChangeListener {

	/**
	 * Activate the connection edit part. This call is used to register the
	 * connection EditPart as a listener to changes of the associated
	 * ConnectionModel.
	**/ 
	public void activate() {
	  super.activate();
	  getConnection().addPropertyChangeListener( this );
	}

	public void deactivate() {
		getConnection().removePropertyChangeListener( this );
		super.deactivate();
	}

	/**
	 * @see org.eclipse.gef.editparts.AbstractEditPart#createEditPolicies()
	 */
	protected void createEditPolicies() {
		installEditPolicy( EditPolicy.CONNECTION_ENDPOINTS_ROLE, new ConnectionEndpointEditPolicy() );
	}
	
	public IConnection getConnection() {
		return (IConnection) getModel();
	}
	
	public OperatorEditPart getSourcePart() {
		return (OperatorEditPart) getSource();
	}
	
	public OperatorEditPart getTargetPart() {
		return (OperatorEditPart) getTarget();
	}
	
	/**
	 * @see java.beans.PropertyChangeListener#propertyChange(java.beans.PropertyChangeEvent)
	 */
	public void propertyChange( PropertyChangeEvent event ) {
		// no reaction at the moment
	}

	protected IFigure createFigure() {
		PolylineConnection figure = (PolylineConnection) super.createFigure();
//		figure.setConnectionRouter( new EVManhattanRouter() );
		figure.setConnectionRouter( new EVConnectionRouter() );
		figure.setTargetDecoration( new PolygonDecoration() );
		return figure;
	}
  
  public String toString() {
  	return "Part for " + getModel();
  }
  
}
