/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:27 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: GraphicalPartFactory.java,v $
 *
 */
package org.evolvica.ui.parts;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;
import org.evolvica.engine.IAlgorithm;
import org.evolvica.engine.IConnection;
import org.evolvica.engine.IElement;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:27 $
 */
public class GraphicalPartFactory implements EditPartFactory {

	public static final GraphicalPartFactory instance = new GraphicalPartFactory();
	
	/**
	 * Constructor for AlgorithmEditPartFactory.
	 */
	private GraphicalPartFactory() {
		// do nothing
	}

	/**
	 * @see org.eclipse.gef.EditPartFactory#createEditPart(org.eclipse.gef.EditPart, java.lang.Object)
	 */
	public EditPart createEditPart( EditPart context, Object model ) {
		EditPart part = null;
		if ( model instanceof IAlgorithm ) {
			part = new AlgorithmEditPart();
		} else if ( model instanceof IElement ) {
			part = new OperatorEditPart();
		} else if ( model instanceof IConnection ) {
			part = new EVConnectionEditPart();
		}
		part.setModel( model );
		return part;
	}
	
}
