/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:28 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: OperatorLayoutEditPolicy.java,v $
 *
 */
package org.evolvica.ui.policy;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;
import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPolicy;
import org.eclipse.gef.Request;
import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.NonResizableEditPolicy;
import org.eclipse.gef.editpolicies.XYLayoutEditPolicy;
import org.eclipse.gef.requests.CreateRequest;
import org.evolvica.engine.IAlgorithm;
import org.evolvica.engine.IElement;
import org.evolvica.ui.command.CreateCommand;
import org.evolvica.ui.command.MoveCommand;
import org.evolvica.ui.parts.AlgorithmEditPart;
import org.evolvica.ui.parts.OperatorEditPart;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:28 $
 */
public class OperatorLayoutEditPolicy extends XYLayoutEditPolicy {
	
	/**
	 * @see org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy#createAddCommand(EditPart, Object)
	 **/
	protected Command createAddCommand( EditPart child, Object constraint ) {
		System.out.println( "createAddCommand" );
		return null;
	}

	/**
	 * @see org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy#createChangeConstraintCommand(EditPart, Object)
	 **/
	protected Command createChangeConstraintCommand( EditPart child, Object constraint ) {
//		System.out.println( "createChangeConstraintCommand" );
		MoveCommand moveCommand = new MoveCommand( ((OperatorEditPart) child).getElement(), (Rectangle) constraint );
		return moveCommand;
	}

	/**
	 * @see org.eclipse.gef.editpolicies.LayoutEditPolicy#getCreateCommand(CreateRequest)
	**/
	protected Command getCreateCommand( CreateRequest request ) {
//		System.out.println( "getCreateCommand" );
		IAlgorithm host = ((AlgorithmEditPart) getHost()).getAlgorithm();
		IElement model = (IElement) request.getNewObject();
		Point location = ((Rectangle) getConstraintFor( request )).getLocation();
		return new CreateCommand( host, model, location );
	}

	/**
	 * @see org.eclipse.gef.editpolicies.LayoutEditPolicy#createChildEditPolicy(EditPart)
	**/
	protected EditPolicy createChildEditPolicy(EditPart child) {
		return new NonResizableEditPolicy();
	}

	/**
	 * @see org.eclipse.gef.editpolicies.LayoutEditPolicy#getDeleteDependantCommand(Request)
	**/
	protected Command getDeleteDependantCommand(Request request) {
		return null;
	}
}
