/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:28 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: OperatorNodeEditPolicy.java,v $
 * 
 */
package org.evolvica.ui.policy;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy;
import org.eclipse.gef.requests.CreateConnectionRequest;
import org.eclipse.gef.requests.ReconnectRequest;
import org.evolvica.engine.IConnection;
import org.evolvica.engine.IElement;
import org.evolvica.ui.command.ConnectCommand;
import org.evolvica.ui.command.ReconnectSourceCommand;
import org.evolvica.ui.command.ReconnectTargetCommand;
import org.evolvica.ui.parts.EVConnectionAnchor;
import org.evolvica.ui.parts.EVConnectionEditPart;
import org.evolvica.ui.parts.OperatorEditPart;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:53:28 $
 */
public class OperatorNodeEditPolicy extends GraphicalNodeEditPolicy {
	
	/*
	protected Command getConnectionCreateCommand( CreateConnectionRequest request ) {
		OperatorEditPart source = (OperatorEditPart) getHost();
		EVConnectionAnchor sourceAnchor = (EVConnectionAnchor) source.getSourceConnectionAnchor( request );
		AlgorithmEditPart host = (AlgorithmEditPart) source.getParent();
		ConnectCommand command = new ConnectCommand( host, source, sourceAnchor );
		request.setStartCommand( command );
		return command;
	}
	*/
	
	protected Command getConnectionCreateCommand( CreateConnectionRequest request ) {
		OperatorEditPart source = (OperatorEditPart) getHost();
		EVConnectionAnchor sourceAnchor = (EVConnectionAnchor) source.getSourceConnectionAnchor( request );
		if ( sourceAnchor != null ) {
			ConnectCommand command = new ConnectCommand( source.getElement(), sourceAnchor.getIndex() );
			request.setStartCommand( command );
			return command;
		} else {
			return null;
		}
	}
	
	/*
	protected Command getConnectionCompleteCommand( CreateConnectionRequest request ) {
		ConnectCommand command = (ConnectCommand) request.getStartCommand();
		OperatorEditPart target = (OperatorEditPart) getHost();
		EVConnectionAnchor targetAnchor = (EVConnectionAnchor) target.getTargetConnectionAnchor( request );
		command.setTarget( target, targetAnchor );
		return command;
	}
	*/
	
	protected Command getConnectionCompleteCommand( CreateConnectionRequest request ) {
		ConnectCommand command = (ConnectCommand) request.getStartCommand();
		OperatorEditPart target = (OperatorEditPart) getHost();
		EVConnectionAnchor targetAnchor = (EVConnectionAnchor) target.getTargetConnectionAnchor( request );
		if ( targetAnchor != null ) {
			command.setTarget( target.getElement(), targetAnchor.getIndex() );
			return command;
		} else {
			return null;
		}
	}
	
	protected Command getReconnectSourceCommand( ReconnectRequest request ) {
		IConnection connection = ((EVConnectionEditPart) request.getConnectionEditPart()).getConnection();
		OperatorEditPart newSourcePart = (OperatorEditPart) request.getTarget();
		IElement newSource = newSourcePart.getElement();
		EVConnectionAnchor newSourceAnchor = (EVConnectionAnchor) newSourcePart.getSourceConnectionAnchor( request );
		if ( newSourceAnchor != null ) {
			int newSourceSlot = newSourceAnchor.getIndex();
			return new ReconnectSourceCommand( connection, newSource, newSourceSlot );
		} else {
			return null;
		}
	}

	protected Command getReconnectTargetCommand(ReconnectRequest request) {
		IConnection connection = ((EVConnectionEditPart) request.getConnectionEditPart()).getConnection();
		OperatorEditPart newTargetPart = (OperatorEditPart) request.getTarget();
		IElement newTarget = newTargetPart.getElement();
		EVConnectionAnchor newTargetAnchor = (EVConnectionAnchor) newTargetPart.getTargetConnectionAnchor( request );
		if ( newTargetAnchor != null ) {
			int newTargetSlot = newTargetAnchor.getIndex();
			return new ReconnectTargetCommand( connection, newTarget, newTargetSlot );
		} else {
			return null;
		}
	}
	
	/*
	protected Command getReconnectSourceCommand( ReconnectRequest request ) {
		EVConnectionEditPart connection = (EVConnectionEditPart) request.getConnectionEditPart();
		OperatorEditPart target = (OperatorEditPart) request.getTarget();
		EVConnectionAnchor targetAnchor = (EVConnectionAnchor) target.getSourceConnectionAnchor( request );
		ReconnectCommand command = new ReconnectCommand( connection, target, targetAnchor );
		return command;
	}

	protected Command getReconnectTargetCommand(ReconnectRequest request) {
		EVConnectionEditPart connection = (EVConnectionEditPart) request.getConnectionEditPart();
		OperatorEditPart target = (OperatorEditPart) request.getTarget();
		EVConnectionAnchor targetAnchor = (EVConnectionAnchor) target.getTargetConnectionAnchor( request );
		ReconnectCommand command = new ReconnectCommand( connection, target, targetAnchor );
		return command;
	}
	*/

}
