/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:28 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: ColorPreferencePage.java,v $
 *
 */
package org.evolvica.ui.prefs;

import org.eclipse.jface.preference.ColorFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.evolvica.ui.AlgorithmEditorPlugin;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:28 $
 */
public class ColorPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	public ColorPreferencePage() {
		super( "Colors", FieldEditorPreferencePage.GRID );
		setPreferenceStore( AlgorithmEditorPlugin.getDefault().getPreferenceStore() );
	}

	protected void createFieldEditors() {
		ColorFieldEditor operatorBgColor = new ColorFieldEditor(
			PreferenceDefaults.OPERATOR_BG_COLOR, "Operator Background:", getFieldEditorParent()
		);
		ColorFieldEditor operatorFgColor = new ColorFieldEditor(
			PreferenceDefaults.OPERATOR_FG_COLOR, "Operator Foreground:", getFieldEditorParent()
		);
		ColorFieldEditor inputColor = new ColorFieldEditor(
			PreferenceDefaults.OPERATOR_IN_COLOR, "Input Terminal:", getFieldEditorParent()
		);
		ColorFieldEditor outputColor = new ColorFieldEditor(
			PreferenceDefaults.OPERATOR_OUT_COLOR, "Output Terminal:", getFieldEditorParent()
		);
		addField( operatorBgColor );
		addField( operatorFgColor );
		addField( inputColor );
		addField( outputColor );
	}
	
	public void init( IWorkbench workbench ) {
		// do nothing
	}
	
}
