/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:28 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: MainPreferencePage.java,v $
 *
 */
package org.evolvica.ui.prefs;

import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.evolvica.ui.AlgorithmEditorPlugin;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:28 $
 */
public class MainPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {
	
	public MainPreferencePage() {
		super( "Main Preferences", FieldEditorPreferencePage.GRID );
		setPreferenceStore( AlgorithmEditorPlugin.getDefault().getPreferenceStore() );
	}

	protected void createFieldEditors() {
		BooleanFieldEditor showEditor = new BooleanFieldEditor(
			PreferenceDefaults.SHOW_OPERATORS, "Show operators in palette (algorithm editors need to be closed and reopened)", getFieldEditorParent()
		);
		BooleanFieldEditor modificationStampEditor = new BooleanFieldEditor(
			PreferenceDefaults.USE_MODIFICATION_STAMP, "Use jarfile modification stamp when updating descriptor repository", getFieldEditorParent()
		);
		addField( showEditor );
		addField( modificationStampEditor );
	}

	public void init( IWorkbench workbench ) {
		// do nothing
	}
	
}
