/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:29 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: PreferenceDefaults.java,v $
 * 
 */
package org.evolvica.ui.prefs;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.jface.preference.IPreferenceStore;
import org.eclipse.jface.preference.PreferenceConverter;
import org.evolvica.ui.AlgorithmEditorPlugin;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:29 $
 */
public class PreferenceDefaults {
	
	public static final String OPERATOR_BG_COLOR = "org.evolvica.ui.prefs.OperatorBackgroundColor";
	
	public static final String OPERATOR_FG_COLOR = "org.evolvica.ui.prefs.OperatorForegroundColor";
	
	public static final String OPERATOR_IN_COLOR = "org.evolvica.ui.prefs.OperatorInputColor";
	
	public static final String OPERATOR_OUT_COLOR = "org.evolvica.ui.prefs.OperatorOutputColor";
	
	public static final String SHOW_OPERATORS = "org.evolvica.ui.prefs.ShowOperatorsInPalette";
	
	public static final String USE_MODIFICATION_STAMP = "org.evolvica.ui.prefs.UseModificationStampForJarfiles";
	
	public static final void init() {
		IPreferenceStore ps = AlgorithmEditorPlugin.plugin().getPreferenceStore();
		PreferenceConverter.setDefault( ps, OPERATOR_IN_COLOR, ColorConstants.blue.getRGB() );
		PreferenceConverter.setDefault( ps, OPERATOR_BG_COLOR, ColorConstants.lightGray.getRGB() );
		PreferenceConverter.setDefault( ps, OPERATOR_FG_COLOR, ColorConstants.black.getRGB() );
		PreferenceConverter.setDefault( ps, OPERATOR_OUT_COLOR, ColorConstants.red.getRGB() );
		ps.setDefault( SHOW_OPERATORS, false );
		ps.setDefault( USE_MODIFICATION_STAMP, true );
	}
	
}
