/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:29 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AlgorithmFolder.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import java.io.File;
import java.io.FilenameFilter;

import org.eclipse.core.resources.IFile;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.IPath;
import org.eclipse.jdt.core.IJavaProject;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:29 $
 */
public class AlgorithmFolder extends AbstractResourceItem {
	
	private ProjectFolder parent = null;
	
	public AlgorithmFolder( ProjectFolder parent ) {
		this.parent = parent;
	}
	
	public boolean hasChildren() {
		File projectDir = parent.getProject().getLocation().toFile();
		File[] children = projectDir.listFiles( new AlgorithmFilenameFilter() );
		if ( children.length > 0 ) {
			return true;
		} else {
			return false;
		}
	}
	
	public Object[] getChildren() {
		IPath projectPath = parent.getProject().getLocation();
		File projectDir = projectPath.toFile();
		File[] algorithms = projectDir.listFiles( new AlgorithmFilenameFilter() );
		AlgorithmItem[] items = new AlgorithmItem[algorithms.length];
		for ( int i = 0; i < algorithms.length; i++ ) {
			items[i] = new AlgorithmItem( this, (IFile) parent.getProject().findMember( algorithms[i].getName() ) );
		}
		return items;
	}
	
	public Object getItem() {
		return parent.getProject();
	}
	
	/*
	public boolean equals( Object o ) {
		if ( o instanceof AlgorithmFolder ) {
			AlgorithmFolder other = (AlgorithmFolder) o;
			if ( parent.getProject().getName().equals( other.getProject().getName() ) ) {
				return true;
			}
		}
		return false;
	}
	*/
	
	public IProject getProject() {
		return parent.getProject();
	}

	public IJavaProject getJavaProject() {
		return parent.getJavaProject();
	}

	public IResourceItem getParent() {
		return parent;
	}
	
	private class AlgorithmFilenameFilter implements FilenameFilter {
		 
		public boolean accept( File dir, String name ) {
			if ( name.endsWith( ".eva" ) ) {
				return true;
			}
			return false;
		}
		
	}

}
