/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:29 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: CategoryFolder.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.eclipse.core.resources.IProject;
import org.eclipse.jdt.core.IJavaProject;
import org.evolvica.engine.OperatorDescriptor;
import org.evolvica.ui.CacheManager;
import org.evolvica.ui.PathManager;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:29 $
 */
public class CategoryFolder extends AbstractResourceItem {
	
	private OperatorFolder parent = null;
	
	private String category = null;
	
	public CategoryFolder( OperatorFolder parent, String category ) {
		this.parent = parent;
		this.category = category;
	}
	
	public boolean hasChildren() {
		OperatorDescriptor[] array = CacheManager.getDescriptors( getJavaProject(), category );
		if ( array.length > 0 ) {
			return true;
		} else {
			return false;
		}
	}
	
	public Object[] getChildren() {
		OperatorDescriptor[] descriptors = CacheManager.getDescriptors( getJavaProject(), category );
		OperatorItem[] items = new OperatorItem[descriptors.length];
		for ( int i = 0; i < descriptors.length; i++ ) {
			items[i] = new OperatorItem( this, descriptors[i], isLocalOperator( descriptors[i] ) );
		}
		return items;
	}
	
	public Object getItem() {
		return getProject();
	}
	
	private boolean isLocalOperator( OperatorDescriptor descriptor ) {
		if ( descriptor.getLocation().equals( PathManager.getOutputLocation( getJavaProject() ) ) ) {
			return true;
		} else {
			return false;
		}
	}
	
	/*
	public boolean equals( Object o ) {
		if ( o instanceof CategoryFolder ) {
			CategoryFolder other = (CategoryFolder) o;
			if ( getProject().getName().equals( other.getProject().getName() ) && category.equals( other.category ) ) {
				return true;
			}
		}
		return false;
	}
	*/
	
	public String getCategory() {
		return category;
	}
	
	public IProject getProject() {
		return parent.getProject();
	}

	public IJavaProject getJavaProject() {
		return parent.getJavaProject();
	}

	public IResourceItem getParent() {
		return parent;
	}
	
}
