/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:30 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: OperatorFolder.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.core.IJavaProject;
import org.eclipse.jdt.core.JavaCore;
import org.evolvica.ui.CacheManager;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:30 $
 */
public class OperatorFolder extends AbstractResourceItem {
	
	private ProjectFolder parent = null;
	
	public OperatorFolder( ProjectFolder parent ) {
		this.parent = parent;
	}
	
	public Object[] getChildren() {
		String[] categories = CacheManager.getCategories( parent.getJavaProject() );
		CategoryFolder[] folders = new CategoryFolder[categories.length+1];
		for ( int i = 0; i < categories.length; i++ ) {
			folders[i+1] = new CategoryFolder( this, categories[i] );
		}
		folders[0] = new ProjectCategoryFolder( this );
		return folders;
	}
	
	public boolean hasChildren() {
		try {
			if ( parent.getProject().hasNature( JavaCore.NATURE_ID ) ) {
				return true;
			} else {
				return false;
			}
		} catch ( CoreException cx ) {
			return false;
		}
	}
	
	public Object getItem() {
		return parent.getProject();
	}

	public IProject getProject() {
		return parent.getProject();
	}

	public IJavaProject getJavaProject() {
		return parent.getJavaProject();
	}

	public IResourceItem getParent() {
		return parent;
	}
	
	/*
	public boolean equals( Object o ) {
		if ( o instanceof OperatorFolder ) {
			OperatorFolder other = (OperatorFolder) o;
			if ( project.getElementName().equals( other.project.getElementName() ) ) {
				return true;
			}
		}
		return false;
	}
	*/
	
}
