/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:30 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: OperatorItem.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.jdt.core.IJavaProject;
import org.evolvica.engine.OperatorDescriptor;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:30 $
 */
public class OperatorItem extends AbstractResourceItem implements IAdaptable {
	
	private CategoryFolder parent = null;
	
	private OperatorDescriptor descriptor = null;
	
	private boolean isLocal = false;
	
	public OperatorItem( CategoryFolder parent, OperatorDescriptor descriptor ) {
		this( parent, descriptor, false );
	}
	
	public OperatorItem( CategoryFolder parent, OperatorDescriptor descriptor, boolean isLocal ) {
		this.parent = parent;
		this.descriptor = descriptor;
		this.isLocal = isLocal;
	}
	
	public Object[] getChildren() {
		return EMPTY_ARRAY;
	}

	public boolean hasChildren() {
		return false;
	}
	
	public OperatorDescriptor getDescriptor() {
		return descriptor;
	}
	
	public Object getItem() {
		return descriptor;
	}
	
	public boolean isLocal() {
		return isLocal;
	}

	public Object getAdapter( Class adapter ) {
		return null;
	}

	public IProject getProject() {
		return parent.getProject();
	}

	public IJavaProject getJavaProject() {
		return parent.getJavaProject();
	}

	public IResourceItem getParent() {
		return parent;
	}
	
}
