/*
 * Copyright (C) 2000-2003 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/02/04 12:20:30 $
 * $Revision: 1.1 $
 * $State: Exp $
 * $RCSfile: OperatorPropertyPage.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.ui.dialogs.PropertyPage;
import org.eclipse.ui.IWorkbenchPropertyPage;
import org.evolvica.engine.OperatorDescriptor;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.1 $ $Date: 2004/02/04 12:20:30 $
 */
public class OperatorPropertyPage extends PropertyPage implements IWorkbenchPropertyPage {
	
	protected Control createContents( Composite parent )  {
		// setup
		OperatorDescriptor desc = (OperatorDescriptor) ((OperatorItem) getElement()).getItem();
		noDefaultAndApplyButton();
		// set layout
		parent.setLayout( new GridLayout( 1, true ) );
		parent.setLayoutData( new GridData( GridData.FILL_HORIZONTAL ) );
		// create a subgroups
		Group infoGroup = new Group( parent, SWT.NONE );
		infoGroup.setText( "Operator Properties" );
		infoGroup.setLayout( new GridLayout() );
		((GridLayout) infoGroup.getLayout()).numColumns = 2;
		// create labels
		new Label( infoGroup, SWT.NULL ).setText( "name:" );
		new Label( infoGroup, SWT.NULL ).setText( desc.getName() );
		new Label( infoGroup, SWT.NULL ).setText( "display name:" );
		new Label( infoGroup, SWT.NULL ).setText( desc.getDisplayName() );
		new Label( infoGroup, SWT.NULL ).setText( "category: " );
		new Label( infoGroup, SWT.NULL ).setText( desc.getCategory() );
		new Label( infoGroup, SWT.NULL ).setText( "class: " );
		new Label( infoGroup, SWT.NULL ).setText( desc.getBeanClassName() );
		new Label( infoGroup, SWT.NULL ).setText( "description: " );
		new Label( infoGroup, SWT.NULL ).setText( desc.getShortDescription() );
		new Label( infoGroup, SWT.NULL ).setText( "expert flag: " );
		new Label( infoGroup, SWT.NULL ).setText( String.valueOf( desc.isExpert() ) );
		new Label( infoGroup, SWT.NULL ).setText( "hidden flag: " );
		new Label( infoGroup, SWT.NULL ).setText( String.valueOf( desc.isHidden() ) );
		new Label( infoGroup, SWT.NULL ).setText( "location: " );
		if ( desc.getLocation() != null ) {
			new Label( infoGroup, SWT.NULL ).setText( desc.getLocation().toString() );
		} else {
			new Label( infoGroup, SWT.NULL ).setText( "unknown" );
		}
		new Label( infoGroup, SWT.NULL ).setText( "input size: " );
		new Label( infoGroup, SWT.NULL ).setText( String.valueOf( desc.getInputSize() ) );
		new Label( infoGroup, SWT.NULL ).setText( "output size: " );
		new Label( infoGroup, SWT.NULL ).setText( String.valueOf( desc.getOutputSize() ) );
		new Label( infoGroup, SWT.NULL ).setText( "preferred flag: " );
		new Label( infoGroup, SWT.NULL ).setText( String.valueOf( desc.isPreferred() ) );
		new Label( infoGroup, SWT.NULL ).setText( "source location: " );
		if ( desc.getSourceLocation() != null ) {
			new Label( infoGroup, SWT.NULL ).setText( desc.getSourceLocation().toString() );
		} else {
			new Label( infoGroup, SWT.NULL ).setText( "unknown" );
		}
		new Label( infoGroup, SWT.NULL ).setText( "vendor: " );
		new Label( infoGroup, SWT.NULL ).setText( desc.getVendor() );
		// return the group
		return infoGroup;
	}
	
}
