/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:30 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: ProjectFolder.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.core.IJavaProject;
import org.eclipse.jdt.core.JavaCore;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:30 $
 */
public class ProjectFolder extends AbstractResourceItem {

	protected IJavaProject javaProject = null;
	
	protected IProject project = null;
	
	public ProjectFolder( IProject project ) {
		this.project = project;
		this.javaProject = JavaCore.create( project );
	}
	
	public Object[] getChildren() {
		//	this should not be necessary, but somehow getChildren() is called even
		// if hasChildren returns true ... ???
		if ( project.isOpen() ) {
			try {
				if ( project.hasNature( JavaCore.NATURE_ID ) ) {
					return new Object[] { new AlgorithmFolder( this ), new OperatorFolder( this ) };
				}
			} catch ( CoreException cx ) {
				// be quiet
			}
		}
		return EMPTY_ARRAY;
	}
	
	public Object getItem() {
		return javaProject;
	}
	
	public IJavaProject getJavaProject() {
		return javaProject;
	}
	
	public IResourceItem getParent() {
		return null;
	}
	
	public IProject getProject() {
		return project;
	}
	
	public boolean hasChildren() {
		if ( project.isOpen() ) {
			try {
				if ( project.hasNature( JavaCore.NATURE_ID ) ) {
					return true;
				}
			} catch ( CoreException cx ) {
				// be quiet
			}
		}
		return false;
	}
	
/*
	public boolean equals( Object o ) {
		if ( o instanceof ProjectFolder ) {
			ProjectFolder other = (ProjectFolder) o;
			if ( project.equals( other.project ) ) {
				return true;
			}
		}
		return false;
	}
	*/
}
