/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:31 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: ResourceTreeContentProvider.java,v $
 * 
 */
package org.evolvica.ui.views.navigator;

import java.util.LinkedList;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IWorkspaceRoot;
import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:31 $
 */
public class ResourceTreeContentProvider implements ITreeContentProvider {

	public Object[] getChildren( Object parentElement ) {
		if ( parentElement instanceof IResourceItem ) {
			return ((IResourceItem) parentElement).getChildren();
		} else {
			return getElements( parentElement );
		}
	}

	public Object getParent( Object element ) {
		return ((IResourceItem) element).getParent();
	}

	public boolean hasChildren( Object element ) {
		if ( element instanceof IResourceItem ) {
			return ((IResourceItem) element).hasChildren();
		} else {
			return false;
		}
	}

	public Object[] getElements( Object inputElement ) {
		if ( inputElement instanceof IWorkspaceRoot ) {
			LinkedList list = new LinkedList();
			IProject[] projects = ((IWorkspaceRoot) inputElement).getProjects();
			for ( int i = 0; i < projects.length; i++ ) {
				list.add( new ProjectFolder( projects[i] ) );
			}
			return list.toArray();
		} else {
			return IResourceItem.EMPTY_ARRAY;
		}
	}

	public void dispose() {
		
	}

	public void inputChanged( Viewer viewer, Object oldInput, Object newInput ) {
		
	}

}
