/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:31 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: CloseAction.java,v $
 * 
 */
package org.evolvica.ui.views.navigator.actions;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.jface.dialogs.MessageDialog;
import org.evolvica.ui.views.navigator.IResourceItem;
import org.evolvica.ui.views.navigator.ProjectFolder;
import org.evolvica.ui.views.navigator.ProjectNavigator;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:31 $
 */
public class CloseAction extends NavigatorAction {
	
	public static final String ID = "org.evolvica.ui.navigator.actions.CloseAction";
	
	public CloseAction( ProjectNavigator navigator ) {
		super( navigator, "Close" );
		setId( ID );
	}
	
	public void runOnSelection( Object item ) {
		try {
			if ( navigator.getSelectedItem() instanceof ProjectFolder ) {
				((ProjectFolder) navigator.getSelectedItem()).getProject().close( null );
			}
		} catch ( CoreException cx ) {
			if ( cx.getMessage() != null ) {
				MessageDialog.openError( navigator.getSite().getShell(), "Error", cx.getMessage() );
			} else {
				MessageDialog.openError( navigator.getSite().getShell(), "Error", "Error closing project" );
			}
		}
	}
	
	public boolean isEnabled() {
		IResourceItem selected = navigator.getSelectedItem();
		if ( selected != null && selected instanceof ProjectFolder ) {
			if ( ((ProjectFolder) selected).getProject().isOpen() ) {
				return true;
			}
		}
		return false;
	}
	
}
