/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:32 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: NewOperatorAction.java,v $
 * 
 */
package org.evolvica.ui.views.navigator.actions;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.jdt.core.JavaCore;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.jface.wizard.WizardDialog;
import org.evolvica.ui.views.navigator.IResourceItem;
import org.evolvica.ui.views.navigator.ProjectNavigator;
import org.evolvica.ui.wizards.NewOperatorCreationWizard;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:32 $
 */
public class NewOperatorAction extends NavigatorAction {
	
	public static final String ID = "org.evolvica.ui.navigator.actions.NewOperatorAction";
	
	public NewOperatorAction( ProjectNavigator explorer ) {
		super( explorer, "Operator..." );
		setId( ID );
	}
	
	public void runOnSelection( Object selectedItem ) {
		StructuredSelection selection = new StructuredSelection( ((IResourceItem) selectedItem).getProject() );
		NewOperatorCreationWizard wizard = new NewOperatorCreationWizard();
		wizard.init( navigator.getSite().getWorkbenchWindow().getWorkbench(), selection );
		WizardDialog dialog = new WizardDialog( navigator.getViewSite().getShell(), wizard );
		dialog.open();
	}
	
	public boolean isEnabled() {
		IResourceItem selected = navigator.getSelectedItem();
		if ( selected != null ) {
			if ( selected.getProject().isOpen() ) {
				try {
					if ( selected.getProject().hasNature( JavaCore.NATURE_ID ) ) {
						return true;
					}
				} catch ( CoreException cx ) {
				}
			}
		}
		return false;
	}

}
