/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:32 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: NewProjectAction.java,v $
 * 
 */
package org.evolvica.ui.views.navigator.actions;

import org.eclipse.jface.wizard.WizardDialog;
import org.evolvica.ui.views.navigator.ProjectNavigator;
import org.evolvica.ui.wizards.NewAlgorithmProjectCreationWizard;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:53:32 $
 */
public class NewProjectAction extends NavigatorAction {
	
	public static final String ID = "org.evolvica.ui.navigator.actions.NewProjectAction";
	
	public NewProjectAction( ProjectNavigator navigator ) {
		super( navigator, "Project..." );
		setId( ID );
	}
	
	public void run() {
		runOnSelection( null ); // a new project does not require a selection ...
	}
	
	public void runOnSelection( Object selectedItem ) {
		NewAlgorithmProjectCreationWizard wizard = new NewAlgorithmProjectCreationWizard();
		wizard.init( navigator.getSite().getWorkbenchWindow().getWorkbench(), null );
		WizardDialog dialog = new WizardDialog( navigator.getViewSite().getShell(), wizard );
		dialog.open();
	}
	
	public boolean isEnabled() {
		return true;
	}

}
