/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:33 $
 * $Revision: 1.3 $
 * $State: Exp $
 * $RCSfile: ShowPropertiesAction.java,v $
 * 
 */
package org.evolvica.ui.views.navigator.actions;

import org.eclipse.ui.dialogs.PropertyDialogAction;
import org.evolvica.ui.views.navigator.*;
import org.evolvica.ui.views.navigator.IResourceItem;
import org.evolvica.ui.views.navigator.ProjectFolder;
import org.evolvica.ui.views.navigator.ProjectNavigator;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.3 $ $Date: 2004/05/26 11:53:33 $
 */
public class ShowPropertiesAction extends NavigatorAction {
	
	public static final String ID = "org.evolvica.ui.navigator.actions.ShowPropertiesAction";
	
	protected PropertyDialogAction dialogAction = null;
	
	public ShowPropertiesAction( ProjectNavigator navigator ) {
		super( navigator, "Properties" );
		setId( ID );
		dialogAction = new PropertyDialogAction( navigator.getSite().getShell(), navigator );
	}
	
	protected void runOnSelection( Object selectedObject ) {
		dialogAction.run();
	}
	
	public boolean isEnabled() {
		IResourceItem selectedItem = navigator.getSelectedItem();
		if ( selectedItem != null ) {
			if ( selectedItem instanceof ProjectFolder ) {
				return true;
			} else if ( selectedItem instanceof AlgorithmItem ) {
				return true;
			} else if ( selectedItem instanceof OperatorItem ) {
				return true;
			}
		}
		return false;
	}
	
}
