/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:33 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AlgorithmLabelProvider.java,v $
 * 
 */
package org.evolvica.ui.views.outline;

import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.evolvica.engine.IAlgorithm;
import org.evolvica.engine.IElement;
import org.evolvica.engine.IOperator;
import org.evolvica.ui.Images;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:33 $
 */
public class AlgorithmLabelProvider extends LabelProvider {
	
	/**
	 * @see org.eclipse.jface.viewers.ILabelProvider#getText(java.lang.Object)
	 */
	public String getText( Object element ) {
		if ( element != null ) {
			if ( element instanceof IAlgorithm ) {
				return ((IAlgorithm) element).getName();
			} else if ( element instanceof IElement ) {
				IOperator operator = ((IElement) element).getOperator();
				return operator.getName() + " [" + operator.descriptor().getName() + "]";
			} else {
				return element.toString();
			}
		} else {
			return "null";
		}
	}

	/**
	 * @see org.eclipse.jface.viewers.ILabelProvider#getImage(java.lang.Object)
	 */
	public Image getImage( Object element ) {
		if ( element != null ) {
			if ( element instanceof IAlgorithm ) {
				return Images.getImage( "icons/algorithm16.png" );
			} else if ( element instanceof IElement ) {
				IOperator operator = ((IElement) element).getOperator();
				int inputs = operator.descriptor().getInputSize();
				int outputs = operator.descriptor().getOutputSize();
				if ( inputs == 0 && outputs == 1 ) {
					return Images.getImage( "icons/source16.png" );
				} else if ( inputs == 1 && outputs == 0 ) {
					return Images.getImage( "icons/sink16.png" );
				} else if ( inputs == 1 && outputs == 1 ) {
					return Images.getImage( "icons/processor16.png" );
				} else if ( inputs == 1 && outputs > 1 ) {
					return Images.getImage( "icons/fork16.png" );
				} else if ( inputs > 1 && outputs == 1 ) {
					return Images.getImage( "icons/join16.png" );
				} else if ( inputs > 1 && outputs > 1 ) {
					return Images.getImage( "icons/conduit16.png" );
				}
			}
		}
		return null;
	}

}
