/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:34 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AlgorithmOutlinePage.java,v $
 * 
 */
package org.evolvica.ui.views.outline;

import org.eclipse.jface.viewers.*;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.views.contentoutline.ContentOutlinePage;
import org.evolvica.engine.IAlgorithm;
import org.evolvica.engine.IElement;
import org.evolvica.ui.AlgorithmEditor;
import org.evolvica.ui.parts.AlgorithmEditPart;
import org.evolvica.ui.parts.OperatorEditPart;

/** Documentation missing.
 *
 * @author rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $
 */
public class AlgorithmOutlinePage extends ContentOutlinePage {
	
	protected IAlgorithm algorithm = null;
	
	public AlgorithmOutlinePage( IAlgorithm algorithm ) {
		this.algorithm = algorithm;
	}
	
	public void createControl( Composite parent ) {
		super.createControl( parent );
		TreeViewer viewer = getTreeViewer();
		viewer.setContentProvider( new AlgorithmContentProvider() );
		viewer.setLabelProvider( new AlgorithmLabelProvider() );
		viewer.setInput( new OutlineRootItem( algorithm ) );
		viewer.expandAll();
	}
	
	public void refresh() {
		getTreeViewer().refresh();
	}
	
	public void selectionChanged( SelectionChangedEvent event ) {
		ISelection selection = event.getSelection();
		if ( ! selection.isEmpty() ) {
			if ( selection instanceof IStructuredSelection ) {
				Object selected = ((IStructuredSelection) selection).getFirstElement();
				if ( selected instanceof AlgorithmEditPart ) {
					getTreeViewer().setInput( new OutlineRootItem( ((AlgorithmEditPart) selected).getAlgorithm() ) );
				} else if ( selected instanceof OperatorEditPart ) {
					getTreeViewer().setInput( new OutlineRootItem( ((OperatorEditPart) selected).getElement() ) );
				} else if ( selected instanceof IAlgorithm || selected instanceof IElement ) {
					IEditorPart active = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
					if ( active instanceof AlgorithmEditor ) {
						((AlgorithmEditor) active).select( selected );
					}
				}
				getTreeViewer().expandAll();
			}
		}
	}
	
}
