/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:36 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AttributeContentModifier.java,v $
 *
 */
package org.evolvica.ui.views.properties;

import java.beans.PropertyVetoException;
import java.lang.reflect.InvocationTargetException;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ICellModifier;
import org.eclipse.jface.viewers.StructuredViewer;
import org.eclipse.swt.widgets.Item;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.PlatformUI;
import org.evolvica.ui.AlgorithmEditor;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:36 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class AttributeContentModifier implements ICellModifier {
	
	protected StructuredViewer viewer = null;
	
	public AttributeContentModifier( StructuredViewer viewer ) {
		this.viewer = viewer;
	}
	
	public boolean canModify( Object element, String property ) {
		if ( property.equals( "values" ) ) {
			return ! ((IContentItem) element).isReadonly();
		}
		return false;
	}

	public Object getValue( Object element, String property ) {
		/*
		IContentItem item = (IContentItem) element;
		AttributeItem ai = null;
		if ( item instanceof BeanContentItem ) {
			ai = new AttributeItem( ((BeanContentItem) item).getType(), item.getValue() );
		} else {
			ai = new AttributeItem( item.getValue().getClass(), item.getValue() );
		}
		return ai;
		*/
		return element; // we're returning the content item itself, because it contains necessary type information
	}

	public void modify( Object element, String property, Object value ) {
		if ( property.equals( "values" ) && element instanceof Item ) {
			IEditorPart editor = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage().getActiveEditor();
			IContentItem contentItem = (IContentItem) ((Item) element).getData();
			try {
				contentItem.setValue( value );
				viewer.refresh();
				/*
				viewer.refresh( contentItem );
				if ( contentItem instanceof ArrayContentItem ) {
					viewer.refresh( contentItem.getParent() );
				}
				*/
				if ( editor instanceof AlgorithmEditor ) {
					((AlgorithmEditor) editor).setDirty( true );
				}
			} catch ( Exception ex ) {
				String message = ex.getMessage();
				if ( ex instanceof InvocationTargetException ) {
					Throwable cause = ((InvocationTargetException) ex).getCause();
					if ( cause instanceof PropertyVetoException ) {
						message = ((PropertyVetoException) cause).getMessage();
					}
				}
				MessageDialog.openError( editor.getSite().getShell(), "Error setting property", message );
			}
		}
	}
	
}
