/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:36 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AttributeContentProvider.java,v $
 *
 */
package org.evolvica.ui.views.properties;

import java.util.LinkedList;

import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;
import org.evolvica.ui.parts.AlgorithmEditPart;
import org.evolvica.ui.parts.EVConnectionEditPart;
import org.evolvica.ui.parts.OperatorEditPart;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:36 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class AttributeContentProvider implements ITreeContentProvider {
	
	private RootContentItem rootItem = null;
	
	public Object[] getChildren( Object parent ) {
		return ((IContentItem) parent).getChildren();
	}
	
	public Object getParent( Object element ) {
		return ((IContentItem) element).getParent();
	}
	
	public boolean hasChildren( Object parent ) {
		return ((IContentItem) parent).hasChildren();
	}

	public Object[] getElements( Object root ) {
		if ( rootItem != null ) {
			return rootItem.getChildren();
		} else {
			return new IContentItem[0];
		}
	}
	
	public void inputChanged( Viewer viewer, Object oldInput, Object newInput ) {
		if ( oldInput != newInput ) {
			if ( newInput instanceof AlgorithmEditPart ) {
				rootItem = new RootContentItem( ((AlgorithmEditPart) newInput).getAlgorithm() );
			} else if ( newInput instanceof EVConnectionEditPart ) {
				rootItem = new RootContentItem( ((EVConnectionEditPart) newInput).getConnection() );
			} else if ( newInput instanceof OperatorEditPart ) {
				LinkedList list = new LinkedList();
				rootItem = new RootContentItem( ((OperatorEditPart) newInput).getElement() );
			} else {
				rootItem = null;
			}
			if ( rootItem != null ) {
				rootItem.synchronize();
			}
		}
	}

	public void dispose() {
		// ???
	}
	
}
