/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:38 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: AttributeLabelProvider.java,v $
 *
 */
package org.evolvica.ui.views.properties.actions;

import java.io.File;

import org.eclipse.jface.viewers.ITableLabelProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.evolvica.ui.views.properties.BeanContentItem;
import org.evolvica.ui.views.properties.IContentItem;
import org.evolvica.util.Convert;
import org.evolvica.util.Directory;

/**
 * Documentation missing.
 *
 * @author Andreas Rummler
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:38 $
 * @since RELEASE_NUMBER_NOT_DETERMINED
 */
public class AttributeLabelProvider extends LabelProvider implements ITableLabelProvider {
	
	public static final String NULL = "null";
	
	public Image getColumnImage( Object element, int column ) {
		/*
		if ( column == 1 ) {
			if ( element instanceof BeanContentItem ) {
				Class type = ((BeanContentItem) element).getType();
				if ( Convert.isConvertibleToBoolean( type ) ) {
					return Images.getImage( "icons/binary13.png" );
				}
			}
		}
		*/
		return null;
	}

	public String getColumnText( Object element, int column ) {
		IContentItem item = (IContentItem) element;
		if ( column == 0 ) {
			return item.getLabel();
		} else if ( column == 1 ) {
			if ( item.isReadonly() ) {
				return "";
			} else {
				if ( item instanceof BeanContentItem ) {
					Class type = ((BeanContentItem) item).getType();
					if ( type.isArray() ) {
						Class componentType = type.getComponentType();
						if ( Convert.isConvertibleToBoolean( componentType ) ) {
							return "[B]";
						} else if ( componentType.equals( Directory.class ) ) {
							return "[D]";
						} else if ( componentType.equals( File.class ) ) {
							return "[F]";
						} else if ( Convert.isConvertibleFromString( componentType ) ) {
							return "[S]";
						} else {
							return "[C]";
						}
					} else {
						if ( Convert.isConvertibleToBoolean( type ) ) {
							return "B";
						} else if ( type.equals( Directory.class ) ) {
							return "D";
						} else if ( type.equals( File.class ) ) {
							return "F";
						} else if ( Convert.isConvertibleFromString( type ) ) {
							return "S";
						} else {
							return "C";
						}
					}
				} else {
					return "";
				}
			}
		} else {
			Object value = item.getValue();
			if ( value != null ) {
				if ( Convert.isConvertibleFromString( value.getClass() ) ) {
					 return Convert.toString( value );
				} else {
					return Convert.toClassname( value );
				}
			} else {
				return NULL;
			}
		}
	}

}
