/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:53:39 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: FilterReadonlyAttributesAction.java,v $
 * 
 */
package org.evolvica.ui.views.properties.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.StructuredViewer;
import org.evolvica.ui.AlgorithmEditorPlugin;
import org.evolvica.ui.views.properties.ReadonlyAttributeFilter;

/** Documentation missing.
 *
 * @author Andreas Rummler
 * @since RELEASE_NUMBER_NOT_DETERMINED
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:53:39 $
 */
public class FilterReadonlyAttributesAction extends Action {
	
	protected StructuredViewer viewer = null;
	
	public FilterReadonlyAttributesAction( StructuredViewer viewer ) {
		super( "Show Readonly Attributes", IAction.AS_CHECK_BOX );
		this.viewer = viewer;
		setChecked( true );
		setImageDescriptor( AlgorithmEditorPlugin.getImage( "icons/filter_readonly16.png" ) );
		setHoverImageDescriptor( AlgorithmEditorPlugin.getImage( "icons/filter_readonly16hover.png" ) );
		setToolTipText( "show readonly properties" );
	}
	
	public void run() {
		if ( isChecked() == true ) {
			viewer.removeFilter( ReadonlyAttributeFilter.instance );
		} else {
			viewer.addFilter( ReadonlyAttributeFilter.instance );
		}
	}

}
