/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:36 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: DirectoryConverter.java,v $
 * 
 */
package org.evolvica.util;

import java.net.URI;

import org.apache.commons.beanutils.ConversionException;
import org.apache.commons.beanutils.Converter;

/** Converter for directories.
 *
 * @author Andreas Rummler
 * @since 0.5.1
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:36 $
 */
public class DirectoryConverter implements Converter {

	/**
	 * @see org.apache.commons.beanutils.Converter#convert(java.lang.Class, java.lang.Object)
	 */
	public Object convert( Class arg0, Object arg1 ) {
		if ( arg1 == null ) {
			throw new ConversionException( "No value specified" );
		} else {
			try {
				return new Directory( new URI( (String) arg1 ) );
			} catch ( Exception ex ) {
				// URI conversion failed
				return new Directory( (String) arg1 );
			}
		}
	}
	
}
