
/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits and Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:36 $
 * $Revision: 1.7 $
 * $State: Exp $
 * $RCSfile: EVRuntimeException.java,v $
 *
 */

package org.evolvica.util;

/** Base class for all runtime exceptions of the EA package.
 * These exceptions may occur at any time and need not to be caught.
 *
 * @since 0.4.0
 * @author Andreas Rummler
 * @version $Revision: 1.7 $ $Date: 2004/05/26 11:58:36 $
 */
public class EVRuntimeException extends RuntimeException {

	/** Constructor.
	*
	*/
	public EVRuntimeException() {
		super();
		String classname = new String( this.getClass().getName().substring( this.getClass().getName().lastIndexOf( '.' ) + 1 ) );
		EVLog.debug( classname + " occured" );
	}

	/** Constructor with descriptive string.
	*
	* @param s description
	*/
	public EVRuntimeException( String s ) {
		super( s );
//		String classname = new String( this.getClass().getName().substring( this.getClass().getName().lastIndexOf( '.' ) + 1 ) );
//		Log.exception.debug( classname + ": " + s );
		EVLog.debug( s, this );
	}

	/** Constructor with descriptive string and throwable which caused this exception.
	*
	* @param s description
	* @param t throwable which caused the creation of this exception
	*/
	public EVRuntimeException( String s, Throwable t ) {
		super( s );
		EVLog.debug( s, t );
	}

}
