/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:37 $
 * $Revision: 1.2 $
 * $State: Exp $
 * $RCSfile: IMetadataSerializer.java,v $
 * 
 */
package org.evolvica.util;

/** Interface for a serializer for metadata.
 *
 * @author Andreas Rummler
 * @since 0.6.0
 * @version $Revision: 1.2 $ $Date: 2004/05/26 11:58:37 $
 */
public interface IMetadataSerializer {
	
	/**
	 * Serializes a metadat portion.
	 * 
	 * @param source source object (object the metadat belongs to)
	 * @param value metadata value
	 */
	public void serialize( Object source, Metadata value );
	
}
