
/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:38 $
 * $Revision: 1.5 $
 * $State: Exp $
 * $RCSfile: NotSupportedException.java,v $
 *
 */

package org.evolvica.util;

/** Exception for things that are currently not supported.
 *
 * @author Andreas Rummler
 * @since 0.4.0
 * @version $Revision: 1.5 $ $Date: 2004/05/26 11:58:38 $
 */
public class NotSupportedException extends EVRuntimeException {
	
	/** Constructor.
	*
	*/
	public NotSupportedException() {
		super();
	}
	
	/** Constructor with descriptive string.
	*
	* @param s description
	*/
	public NotSupportedException(String s) {
		super( s );
	}
	
	/** Constructor with descriptive string and throwable which caused this exception.
	*
	* @param s description
	* @param t throwable which caused the creation of this exception
	*/
	public NotSupportedException(String s, Throwable t) {
		super( s, t );
	}

}
