/*
 * Copyright (C) 2000-2004 Technical University of Ilmenau, Germany
 *                         Department of Electronic Circuits & Systems
 *
 * You may only use this file according to the terms of the license agreement included
 * within the file LICENSE which is distributed together with the software package.
 *
 * CVS Info:
 * $Author: rummler $
 * $Date: 2004/05/26 11:58:38 $
 * $Revision: 1.4 $
 * $State: Exp $
 * $RCSfile: SerializationException.java,v $
 * 
 */
package org.evolvica.util;

/** Exception related to serialization/deserialization errors.
 *
 * @author Andreas Rummler
 * @since 0.5.1
 * @version $Revision: 1.4 $ $Date: 2004/05/26 11:58:38 $
 */
public class SerializationException extends EVException {

	/** Constructor.
	*
	*/
	public SerializationException() {
		super();
	}
	
	/** Constructor with descriptive string.
	*
	* @param s description
	*/
	public SerializationException( String s ) {
		super( s );
	}
	
	/** Constructor with descriptive string and throwable which caused this exception.
	*
	* @param s description
	* @param t throwable which caused the creation of this exception
	*/
	public SerializationException( String s, Throwable t ) {
		super( s, t );
	}

}
